class gauges_clock extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_clock"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* HSI_BACKUP_DME_1_0 */
		var hsi_backup_DME_1_0 = this.querySelector("#hsi_backup_DME_1_0");
		if (typeof hsi_backup_DME_1_0 !== "undefined") {
		  var transform = '';

		  hsi_backup_DME_1_0.style.display = 1 ? "block" : "none";

			hsi_backup_DME_1_0.innerHTML = ( ( SimVar.GetSimVarValue("NAV DME:1", "nautical mile") >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    hsi_backup_DME_1_0.style.transform = transform; 

		}

		/* HSI_BACKUP_DME_2_1 */
		var hsi_backup_DME_2_1 = this.querySelector("#hsi_backup_DME_2_1");
		if (typeof hsi_backup_DME_2_1 !== "undefined") {
		  var transform = '';

		  hsi_backup_DME_2_1.style.display = 1 ? "block" : "none";

			hsi_backup_DME_2_1.innerHTML = ( ( SimVar.GetSimVarValue("NAV DME:2", "nautical mile") >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    hsi_backup_DME_2_1.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_COMPASS_CARD_2 */
		var hsi_backup_hsi_compass_card_2 = this.querySelector("#hsi_backup_hsi_compass_card_2");
		if (typeof hsi_backup_hsi_compass_card_2 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ((SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) * (-1))* Math.PI/180; /* PARSED FROM "(A:heading indicator:2,degrees) /-/ dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    hsi_backup_hsi_compass_card_2.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_NEEDLE_2_3 */
		var hsi_backup_hsi_needle_2_3 = this.querySelector("#hsi_backup_hsi_needle_2_3");
		if (typeof hsi_backup_hsi_needle_2_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( ( 0 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:2", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (G:Var2) 0 == if{ (A:NAV2 radial, radians) (A:heading indicator:2, radians) - pi + } els{ (A:ADF radial:1, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    hsi_backup_hsi_needle_2_3.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_NEEDLE_1_4 */
		var hsi_backup_hsi_needle_1_4 = this.querySelector("#hsi_backup_hsi_needle_1_4");
		if (typeof hsi_backup_hsi_needle_1_4 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = ( ( 0 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:1", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (G:Var1) 0 == if{ (A:NAV1 radial, radians) (A:heading indicator:2, radians) - pi + } els{ (A:ADF1 radial, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    hsi_backup_hsi_needle_1_4.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_FIXED_POINTERS_5 */
		var hsi_backup_hsi_fixed_pointers_5 = this.querySelector("#hsi_backup_hsi_fixed_pointers_5");
		if (typeof hsi_backup_hsi_fixed_pointers_5 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    hsi_backup_hsi_fixed_pointers_5.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_KNOB_1_6 */
		var hsi_backup_hsi_knob_1_6 = this.querySelector("#hsi_backup_hsi_knob_1_6");
		if (typeof hsi_backup_hsi_knob_1_6 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("Var1", "number"); /* PARSED FROM "(G:Var1, number)" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 323.130102354156],
				[1, 474.775140568832],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    hsi_backup_hsi_knob_1_6.style.transform = transform; 

		}

		/* HSI_BACKUP_HSI_KNOB_2_7 */
		var hsi_backup_hsi_knob_2_7 = this.querySelector("#hsi_backup_hsi_knob_2_7");
		if (typeof hsi_backup_hsi_knob_2_7 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("Var2", "number"); /* PARSED FROM "(G:Var2, number)" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 399.805571092265],
				[1, 243.434948822922],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    hsi_backup_hsi_knob_2_7.style.transform = transform; 

		}

    }
}
registerLivery("gauges_clock-element", gauges_clock);
