class gauges_essai2 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_essai2"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }

		var MapWidthCentered = "";
		var MapHeightCentered = "";
		var MapWidthExpanded = "";
		var MapHeightExpanded = "";
		var RangeMiles = 0;

		/* MFD_MFD_BACKGROUND_0 */
		var mfd_mfd_background_0 = this.querySelector("#mfd_mfd_background_0");
		if (typeof mfd_mfd_background_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_background_0.style.transform = transform; 

		}

		/* MFD_CENTERED_MAP_1 */
		var mfd_Centered_Map_1 = this.querySelector("#mfd_Centered_Map_1");
		if (typeof mfd_Centered_Map_1 !== "undefined") {
		  var transform = '';

		  mfd_Centered_Map_1.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 2 == d (A:CIRCUIT GENERAL PANEL ON, bool) &&" */ ? "block" : "none";

		  if (transform != '')
		    mfd_Centered_Map_1.style.transform = transform; 

		}

		/* MFD_EXPANDED_MAP_2 */
		var mfd_Expanded_Map_2 = this.querySelector("#mfd_Expanded_Map_2");
		if (typeof mfd_Expanded_Map_2 !== "undefined") {
		  var transform = '';

		  mfd_Expanded_Map_2.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 3 == d (A:CIRCUIT GENERAL PANEL ON, bool) &&" */ ? "block" : "none";

		  if (transform != '')
		    mfd_Expanded_Map_2.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_3 */
		var mfd_MFD_CENTERED_3 = this.querySelector("#mfd_MFD_CENTERED_3");
		if (typeof mfd_MFD_CENTERED_3 !== "undefined") {
		  var transform = '';

		  mfd_MFD_CENTERED_3.style.display = ( 1 != 3 ) && 1 ? "block" : "none";

		  if (transform != '')
		    mfd_MFD_CENTERED_3.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COMPASS_CARD_4 */
		var mfd_mfd_centered_compass_card_4 = this.querySelector("#mfd_mfd_centered_compass_card_4");
		if (typeof mfd_mfd_centered_compass_card_4 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians")) * (-1); /* PARSED FROM "(A:Plane heading degrees gyro, radians) /-/" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_compass_card_4.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_ACTUAL_TRACK_5 */
		var mfd_mfd_centered_actual_track_5 = this.querySelector("#mfd_mfd_centered_actual_track_5");
		if (typeof mfd_mfd_centered_actual_track_5 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("GPS GROUND MAGNETIC TRACK", "degree") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:GPS GROUND MAGNETIC TRACK,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_actual_track_5.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COURSE_DEVIATION_SCALE_6 */
		var mfd_mfd_centered_course_deviation_scale_6 = this.querySelector("#mfd_mfd_centered_course_deviation_scale_6");
		if (typeof mfd_mfd_centered_course_deviation_scale_6 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_course_deviation_scale_6.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 2 < " */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = (-90);
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_course_deviation_scale_6.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_VOR_COURSE_POINTER_7 */
		var mfd_mfd_centered_vor_course_pointer_7 = this.querySelector("#mfd_mfd_centered_vor_course_pointer_7");
		if (typeof mfd_mfd_centered_vor_course_pointer_7 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_vor_course_pointer_7.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 2 < " */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_vor_course_pointer_7.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_MYSTERY_BLUE_ARROW_UP_8 */
		var mfd_mfd_centered_mystery_blue_arrow_up_8 = this.querySelector("#mfd_mfd_centered_mystery_blue_arrow_up_8");
		if (typeof mfd_mfd_centered_mystery_blue_arrow_up_8 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_mystery_blue_arrow_up_8.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI TF FLAGS,enum) 1 == d (L:Display Mode, number) 1 == &&" */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_mystery_blue_arrow_up_8.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_MYSTERY_BLUE_ARROW_DOWN_9 */
		var mfd_mfd_centered_mystery_blue_arrow_down_9 = this.querySelector("#mfd_mfd_centered_mystery_blue_arrow_down_9");
		if (typeof mfd_mfd_centered_mystery_blue_arrow_down_9 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_mystery_blue_arrow_down_9.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI TF FLAGS,enum) 2 == d (L:Display Mode, number) 1 == &&" */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_mystery_blue_arrow_down_9.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_VOR_LATERAL_DEVIATION_BAR_10 */
		var mfd_mfd_centered_vor_lateral_deviation_bar_10 = this.querySelector("#mfd_mfd_centered_vor_lateral_deviation_bar_10");
		if (typeof mfd_mfd_centered_vor_lateral_deviation_bar_10 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_vor_lateral_deviation_bar_10.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 2 < " */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = (-90);
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = ( SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ?  SimVar.GetSimVarValue("HSI CDI needle", "number") :  0 ); /* PARSED FROM " (A:HSI CDI needle valid, bool) if{ (A:HSI CDI needle, number) } els{ 0 } " */
			var Minimum = -60.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 60.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0.833) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_vor_lateral_deviation_bar_10.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_BEARING_POINTER_VOR_1_11 */
		var mfd_mfd_centered_bearing_pointer_vor_1_11 = this.querySelector("#mfd_mfd_centered_bearing_pointer_vor_1_11");
		if (typeof mfd_mfd_centered_bearing_pointer_vor_1_11 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_bearing_pointer_vor_1_11.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 1 Switch, number) 0 ==" */ ? "block" : "none";

		  {

			var ExpressionResult = SimVar.GetSimVarValue("NAV OBS:1", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI; /* PARSED FROM " (A:NAV1 radial, radians) (A:Plane heading degrees gyro, radians) - pi + " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_bearing_pointer_vor_1_11.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_BEARING_POINTER_VOR_2_12 */
		var mfd_mfd_centered_bearing_pointer_vor_2_12 = this.querySelector("#mfd_mfd_centered_bearing_pointer_vor_2_12");
		if (typeof mfd_mfd_centered_bearing_pointer_vor_2_12 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_bearing_pointer_vor_2_12.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 2 Switch, number) 0 ==" */ ? "block" : "none";

		  {

			var ExpressionResult = SimVar.GetSimVarValue("NAV OBS:2", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI; /* PARSED FROM " (A:NAV2 radial, radians) (A:Plane heading degrees gyro, radians) - pi + " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_bearing_pointer_vor_2_12.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_BEARING_POINTER_ADF_13 */
		var mfd_mfd_centered_bearing_pointer_adf_13 = this.querySelector("#mfd_mfd_centered_bearing_pointer_adf_13");
		if (typeof mfd_mfd_centered_bearing_pointer_adf_13 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_bearing_pointer_adf_13.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 1 Switch, number) 2 ==" */ ? "block" : "none";

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ADF RADIAL:1", "radians"); /* PARSED FROM " (A:ADF radial:1, radians) " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_bearing_pointer_adf_13.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_BEARING_POINTER_VOR_2_14 */
		var mfd_mfd_centered_bearing_pointer_vor_2_14 = this.querySelector("#mfd_mfd_centered_bearing_pointer_vor_2_14");
		if (typeof mfd_mfd_centered_bearing_pointer_vor_2_14 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_bearing_pointer_vor_2_14.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 2 Switch, number) 2 ==" */ ? "block" : "none";

		  {

			var ExpressionResult = SimVar.GetSimVarValue("ADF RADIAL:1", "radians"); /* PARSED FROM " (A:ADF radial:1, radians) " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_bearing_pointer_vor_2_14.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_FIXED_PLANE_SYMBOL_15 */
		var mfd_mfd_centered_fixed_plane_symbol_15 = this.querySelector("#mfd_mfd_centered_fixed_plane_symbol_15");
		if (typeof mfd_mfd_centered_fixed_plane_symbol_15 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_centered_fixed_plane_symbol_15.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_SELECTED_HEADING_16 */
		var mfd_mfd_centered_selected_heading_16 = this.querySelector("#mfd_mfd_centered_selected_heading_16");
		if (typeof mfd_mfd_centered_selected_heading_16 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 0; /* POSSIBLE JS ERROR " (A:Autopilot heading lock dir,degrees) d (A:PARTIAL PANEL HEADING,bool) (A:PARTIAL PANEL ELECTRICAL,bool) or 0 == if{ (A:Plane heading degrees gyro,degrees) - } dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_selected_heading_16.style.transform = transform; 

		}

		/* MFD_MFD_GLIDESLOPE_SCALE_17 */
		var mfd_mfd_glideslope_scale_17 = this.querySelector("#mfd_mfd_glideslope_scale_17");
		if (typeof mfd_mfd_glideslope_scale_17 !== "undefined") {
		  var transform = '';

		  mfd_mfd_glideslope_scale_17.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 0 == " */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_glideslope_scale_17.style.transform = transform; 

		}

		/* MFD_MFD_GLIDESLOPE_BUG_18 */
		var mfd_mfd_glideslope_bug_18 = this.querySelector("#mfd_mfd_glideslope_bug_18");
		if (typeof mfd_mfd_glideslope_bug_18 !== "undefined") {
		  var transform = '';

		  mfd_mfd_glideslope_bug_18.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 0 == " */ ? "block" : "none";

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI GSI needle", "number") / 120; /* PARSED FROM "(A:HSI GSI needle, number) 120 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 68) + 'px) ';
		  }
		  if (transform != '')
		    mfd_mfd_glideslope_bug_18.style.transform = transform; 

		}

		/* MFD_RANGE_RING_DISTANCE_1_19 */
		var mfd_Range_Ring_distance_1_19 = this.querySelector("#mfd_Range_Ring_distance_1_19");
		if (typeof mfd_Range_Ring_distance_1_19 !== "undefined") {
		  var transform = '';

			mfd_Range_Ring_distance_1_19.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "@RangeMiles" */ ).toString() ;

		  if (transform != '')
		    mfd_Range_Ring_distance_1_19.style.transform = transform; 

		}

		/* MFD_RANGE_RING_DISTANCE_1_20 */
		var mfd_Range_Ring_distance_1_20 = this.querySelector("#mfd_Range_Ring_distance_1_20");
		if (typeof mfd_Range_Ring_distance_1_20 !== "undefined") {
		  var transform = '';

			mfd_Range_Ring_distance_1_20.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "@RangeMiles 2 /" */ ).toString() ;

		  if (transform != '')
		    mfd_Range_Ring_distance_1_20.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_21 */
		var mfd_MFD_EXPANDED_21 = this.querySelector("#mfd_MFD_EXPANDED_21");
		if (typeof mfd_MFD_EXPANDED_21 !== "undefined") {
		  var transform = '';

		  mfd_MFD_EXPANDED_21.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Display Mode, number) 3 == d (A:CIRCUIT GENERAL PANEL ON, bool) &&" */ ? "block" : "none";

		  if (transform != '')
		    mfd_MFD_EXPANDED_21.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_COMPASS_CARD_22 */
		var mfd_mfd_expanded_compass_card_22 = this.querySelector("#mfd_mfd_expanded_compass_card_22");
		if (typeof mfd_mfd_expanded_compass_card_22 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians")) * (-1); /* PARSED FROM "(A:Plane heading degrees gyro, radians) /-/" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_compass_card_22.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_ARROW_1_23 */
		var mfd_mfd_expanded_arrow_1_23 = this.querySelector("#mfd_mfd_expanded_arrow_1_23");
		if (typeof mfd_mfd_expanded_arrow_1_23 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_arrow_1_23.style.display = ( 1 != 1 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:2", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (L:VOR 2 Switch, number) 0 == if{ (A:NAV2 radial, radians) (A:Plane heading degrees gyro, radians) - pi + } els{ (A:ADF radial:1, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_arrow_1_23.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_ARROW_2_24 */
		var mfd_mfd_expanded_arrow_2_24 = this.querySelector("#mfd_mfd_expanded_arrow_2_24");
		if (typeof mfd_mfd_expanded_arrow_2_24 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_arrow_2_24.style.display = ( 1 != 1 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:1", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (L:VOR 1 Switch, number) 0 == if{ (A:NAV1 radial, radians) (A:Plane heading degrees gyro, radians) - pi + } els{ (A:ADF radial:1, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_arrow_2_24.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_FIXED_PLANE_SYMBOL_25 */
		var mfd_mfd_expanded_fixed_plane_symbol_25 = this.querySelector("#mfd_mfd_expanded_fixed_plane_symbol_25");
		if (typeof mfd_mfd_expanded_fixed_plane_symbol_25 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_fixed_plane_symbol_25.style.transform = transform; 

		}

		/* MFD_RANGE_RING_DISTANCE_1_26 */
		var mfd_Range_Ring_distance_1_26 = this.querySelector("#mfd_Range_Ring_distance_1_26");
		if (typeof mfd_Range_Ring_distance_1_26 !== "undefined") {
		  var transform = '';

			mfd_Range_Ring_distance_1_26.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "@RangeMiles 4 / 3 *" */ ).toString() ;

		  if (transform != '')
		    mfd_Range_Ring_distance_1_26.style.transform = transform; 

		}

		/* MFD_RANGE_RING_DISTANCE_1_27 */
		var mfd_Range_Ring_distance_1_27 = this.querySelector("#mfd_Range_Ring_distance_1_27");
		if (typeof mfd_Range_Ring_distance_1_27 !== "undefined") {
		  var transform = '';

			mfd_Range_Ring_distance_1_27.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "@RangeMiles 2 /" */ ).toString() ;

		  if (transform != '')
		    mfd_Range_Ring_distance_1_27.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_SELECTED_HEADING_28 */
		var mfd_mfd_expanded_selected_heading_28 = this.querySelector("#mfd_mfd_expanded_selected_heading_28");
		if (typeof mfd_mfd_expanded_selected_heading_28 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 0; /* POSSIBLE JS ERROR " (A:PARTIAL PANEL HEADING,bool) (A:PARTIAL PANEL ELECTRICAL,bool) or 0 == if{ (A:Autopilot heading lock dir,degrees) (A:Plane heading degrees gyro,degrees) - 360 + 360 % s0 180 > if{ l0 318 < if{ 318 } els{ l0 } } els{ l0 41 > if{ 41 } els{ l0 } } dgrd } els{ 0 } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_selected_heading_28.style.transform = transform; 

		}

		/* MFD_WIND_DIRECTION_READOUT_29 */
		var mfd_Wind_Direction_Readout_29 = this.querySelector("#mfd_Wind_Direction_Readout_29");
		if (typeof mfd_Wind_Direction_Readout_29 !== "undefined") {
		  var transform = '';

			mfd_Wind_Direction_Readout_29.innerHTML = ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Direction_Readout_29.style.transform = transform; 

		}

		/* MFD_WIND_SPEED_READOUT_30 */
		var mfd_Wind_Speed_Readout_30 = this.querySelector("#mfd_Wind_Speed_Readout_30");
		if (typeof mfd_Wind_Speed_Readout_30 !== "undefined") {
		  var transform = '';

			mfd_Wind_Speed_Readout_30.innerHTML = "*/" + ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Speed_Readout_30.style.transform = transform; 

		}

		/* MFD_MFD_ARROW_WIND_DIRECTION_31 */
		var mfd_mfd_arrow_wind_direction_31 = this.querySelector("#mfd_mfd_arrow_wind_direction_31");
		if (typeof mfd_mfd_arrow_wind_direction_31 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("AMBIENT WIND DIRECTION", "degree") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") - SimVar.GetSimVarValue("MAGVAR", "degree") + 180)* Math.PI/180; /* PARSED FROM "(A:Ambient Wind Direction,degrees) (A:Plane heading degrees gyro,degrees) - (A:MAGVAR,degrees) - 180 + dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_arrow_wind_direction_31.style.transform = transform; 

		}

		/* MFD_ADF_1_LEGEND_32 */
		var mfd_ADF_1_Legend_32 = this.querySelector("#mfd_ADF_1_Legend_32");
		if (typeof mfd_ADF_1_Legend_32 !== "undefined") {
		  var transform = '';

			mfd_ADF_1_Legend_32.innerHTML = "MAG";

		  if (transform != '')
		    mfd_ADF_1_Legend_32.style.transform = transform; 

		}

		/* MFD_GS_LEGEND_33 */
		var mfd_GS_Legend_33 = this.querySelector("#mfd_GS_Legend_33");
		if (typeof mfd_GS_Legend_33 !== "undefined") {
		  var transform = '';

			mfd_GS_Legend_33.innerHTML = "GS";

		  if (transform != '')
		    mfd_GS_Legend_33.style.transform = transform; 

		}

		/* MFD_GS_READOUT_34 */
		var mfd_GS_Readout_34 = this.querySelector("#mfd_GS_Readout_34");
		if (typeof mfd_GS_Readout_34 !== "undefined") {
		  var transform = '';

			mfd_GS_Readout_34.innerHTML = Math.round( Math.min( SimVar.GetSimVarValue("GPS GROUND SPEED", "knots"), 999 ) ).toString() ;

		  if (transform != '')
		    mfd_GS_Readout_34.style.transform = transform; 

		}

		/* MFD_TAS_LEGEND_35 */
		var mfd_TAS_Legend_35 = this.querySelector("#mfd_TAS_Legend_35");
		if (typeof mfd_TAS_Legend_35 !== "undefined") {
		  var transform = '';

			mfd_TAS_Legend_35.innerHTML = "TAS";

		  if (transform != '')
		    mfd_TAS_Legend_35.style.transform = transform; 

		}

		/* MFD_TAS_READOUT_36 */
		var mfd_TAS_Readout_36 = this.querySelector("#mfd_TAS_Readout_36");
		if (typeof mfd_TAS_Readout_36 !== "undefined") {
		  var transform = '';

			mfd_TAS_Readout_36.innerHTML = Math.round( Math.min( SimVar.GetSimVarValue("AIRSPEED TRUE", "knots"), 999 ) ).toString() ;

		  if (transform != '')
		    mfd_TAS_Readout_36.style.transform = transform; 

		}

		/* MFD_POINTER_1___VOR_37 */
		var mfd_Pointer_1___VOR_37 = this.querySelector("#mfd_Pointer_1___VOR_37");
		if (typeof mfd_Pointer_1___VOR_37 !== "undefined") {
		  var transform = '';

		  mfd_Pointer_1___VOR_37.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 1 Switch, number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    mfd_Pointer_1___VOR_37.style.transform = transform; 

		}

		/* MFD_VOR_1_LEGEND_38 */
		var mfd_VOR_1_Legend_38 = this.querySelector("#mfd_VOR_1_Legend_38");
		if (typeof mfd_VOR_1_Legend_38 !== "undefined") {
		  var transform = '';

			mfd_VOR_1_Legend_38.innerHTML = "VOR 1";

		  if (transform != '')
		    mfd_VOR_1_Legend_38.style.transform = transform; 

		}

		/* MFD_NAV_1_IDENT_39 */
		var mfd_NAV_1_Ident_39 = this.querySelector("#mfd_NAV_1_Ident_39");
		if (typeof mfd_NAV_1_Ident_39 !== "undefined") {
		  var transform = '';

			mfd_NAV_1_Ident_39.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:1", "string") ).toString() ;

		  if (transform != '')
		    mfd_NAV_1_Ident_39.style.transform = transform; 

		}

		/* MFD_DME_40 */
		var mfd_DME_40 = this.querySelector("#mfd_DME_40");
		if (typeof mfd_DME_40 !== "undefined") {
		  var transform = '';

			mfd_DME_40.innerHTML = ( SimVar.GetSimVarValue("GPS DRIVES NAV1", "boolean") ).toString() + "{if}GPS%{else}DME%{end} " + ( ( SimVar.GetSimVarValue("HSI distance", "nautical miles") >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end} NM" ;

		  if (transform != '')
		    mfd_DME_40.style.transform = transform; 

		}

		/* MFD_MFD_ADF_1_ARROW_41 */
		var mfd_mfd_adf_1_arrow_41 = this.querySelector("#mfd_mfd_adf_1_arrow_41");
		if (typeof mfd_mfd_adf_1_arrow_41 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_adf_1_arrow_41.style.transform = transform; 

		}

		/* MFD_POINTER_1___ADF_42 */
		var mfd_Pointer_1___ADF_42 = this.querySelector("#mfd_Pointer_1___ADF_42");
		if (typeof mfd_Pointer_1___ADF_42 !== "undefined") {
		  var transform = '';

		  mfd_Pointer_1___ADF_42.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 1 Switch, number) 2 ==" */ ? "block" : "none";

		  if (transform != '')
		    mfd_Pointer_1___ADF_42.style.transform = transform; 

		}

		/* MFD_ADF_1_LEGEND_43 */
		var mfd_ADF_1_Legend_43 = this.querySelector("#mfd_ADF_1_Legend_43");
		if (typeof mfd_ADF_1_Legend_43 !== "undefined") {
		  var transform = '';

			mfd_ADF_1_Legend_43.innerHTML = "ADF";

		  if (transform != '')
		    mfd_ADF_1_Legend_43.style.transform = transform; 

		}

		/* MFD_ADF_READOUT_44 */
		var mfd_ADF_Readout_44 = this.querySelector("#mfd_ADF_Readout_44");
		if (typeof mfd_ADF_Readout_44 !== "undefined") {
		  var transform = '';

			mfd_ADF_Readout_44.innerHTML = ( SimVar.GetSimVarValue("ADF ACTIVE FREQUENCY:1", "KHz") ).toFixed(1).toString() ;

		  if (transform != '')
		    mfd_ADF_Readout_44.style.transform = transform; 

		}

		/* MFD_MFD_ADF_1_ARROW_45 */
		var mfd_mfd_adf_1_arrow_45 = this.querySelector("#mfd_mfd_adf_1_arrow_45");
		if (typeof mfd_mfd_adf_1_arrow_45 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_adf_1_arrow_45.style.transform = transform; 

		}

		/* MFD_POINTER_2___VOR_46 */
		var mfd_Pointer_2___VOR_46 = this.querySelector("#mfd_Pointer_2___VOR_46");
		if (typeof mfd_Pointer_2___VOR_46 !== "undefined") {
		  var transform = '';

		  mfd_Pointer_2___VOR_46.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 2 Switch, number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    mfd_Pointer_2___VOR_46.style.transform = transform; 

		}

		/* MFD_VOR_2_LEGEND_47 */
		var mfd_VOR_2_Legend_47 = this.querySelector("#mfd_VOR_2_Legend_47");
		if (typeof mfd_VOR_2_Legend_47 !== "undefined") {
		  var transform = '';

			mfd_VOR_2_Legend_47.innerHTML = "VOR 2";

		  if (transform != '')
		    mfd_VOR_2_Legend_47.style.transform = transform; 

		}

		/* MFD_NAV_21_IDENT_48 */
		var mfd_NAV_21_Ident_48 = this.querySelector("#mfd_NAV_21_Ident_48");
		if (typeof mfd_NAV_21_Ident_48 !== "undefined") {
		  var transform = '';

			mfd_NAV_21_Ident_48.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:2", "string") ).toString() ;

		  if (transform != '')
		    mfd_NAV_21_Ident_48.style.transform = transform; 

		}

		/* MFD_DME_49 */
		var mfd_DME_49 = this.querySelector("#mfd_DME_49");
		if (typeof mfd_DME_49 !== "undefined") {
		  var transform = '';

			mfd_DME_49.innerHTML = ( ( SimVar.GetSimVarValue("NAV DME:2", "nautical mile") >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end} NM" ;

		  if (transform != '')
		    mfd_DME_49.style.transform = transform; 

		}

		/* MFD_MFD_ADF_2_ARROW_50 */
		var mfd_mfd_adf_2_arrow_50 = this.querySelector("#mfd_mfd_adf_2_arrow_50");
		if (typeof mfd_mfd_adf_2_arrow_50 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_adf_2_arrow_50.style.transform = transform; 

		}

		/* MFD_POINTER_2___ADF_51 */
		var mfd_Pointer_2___ADF_51 = this.querySelector("#mfd_Pointer_2___ADF_51");
		if (typeof mfd_Pointer_2___ADF_51 !== "undefined") {
		  var transform = '';

		  mfd_Pointer_2___ADF_51.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VOR 2 Switch, number) 2 == " */ ? "block" : "none";

		  if (transform != '')
		    mfd_Pointer_2___ADF_51.style.transform = transform; 

		}

		/* MFD_ADF_2_LEGEND_52 */
		var mfd_ADF_2_Legend_52 = this.querySelector("#mfd_ADF_2_Legend_52");
		if (typeof mfd_ADF_2_Legend_52 !== "undefined") {
		  var transform = '';

			mfd_ADF_2_Legend_52.innerHTML = "ADF";

		  if (transform != '')
		    mfd_ADF_2_Legend_52.style.transform = transform; 

		}

		/* MFD_ADF_READOUT_53 */
		var mfd_ADF_Readout_53 = this.querySelector("#mfd_ADF_Readout_53");
		if (typeof mfd_ADF_Readout_53 !== "undefined") {
		  var transform = '';

			mfd_ADF_Readout_53.innerHTML = ( SimVar.GetSimVarValue("ADF ACTIVE FREQUENCY:1", "KHz") ).toFixed(1).toString() ;

		  if (transform != '')
		    mfd_ADF_Readout_53.style.transform = transform; 

		}

		/* MFD_MFD_ADF_2_ARROW_54 */
		var mfd_mfd_adf_2_arrow_54 = this.querySelector("#mfd_mfd_adf_2_arrow_54");
		if (typeof mfd_mfd_adf_2_arrow_54 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_adf_2_arrow_54.style.transform = transform; 

		}

    }
}
registerLivery("gauges_essai2-element", gauges_essai2);
