class gauges_essai4 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_essai4"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }

		var MapWidthCentered = 195;
		var MapHeightCentered = 195;
		var MapWidthExpanded = 260;
		var MapHeightExpanded = 180;
		var RangeMiles = 0;

		/* MFD_MFD_CENTERED_BACKGROUND_ON_0 */
		var mfd_mfd_centered_background_on_0 = this.querySelector("#mfd_mfd_centered_background_on_0");
		if (typeof mfd_mfd_centered_background_on_0 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_background_on_0.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:MFD Centered, number) 1 == d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_centered_background_on_0.style.transform = transform; 

		}

		/* MFD_CENTERED_MAP_1 */
		var mfd_Centered_Map_1 = this.querySelector("#mfd_Centered_Map_1");
		if (typeof mfd_Centered_Map_1 !== "undefined") {
		  var transform = '';

		  mfd_Centered_Map_1.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:EFIS Mode, number) 2 == d (L:MFD Centered, number) 1 == && d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_Centered_Map_1.style.transform = transform; 

		}

		/* MFD_MFD___CENTERED_2 */
		var mfd_MFD___Centered_2 = this.querySelector("#mfd_MFD___Centered_2");
		if (typeof mfd_MFD___Centered_2 !== "undefined") {
		  var transform = '';

		  mfd_MFD___Centered_2.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:MFD Centered, number) 1 == d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_MFD___Centered_2.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_WIND_VECTOR_ARROW_3 */
		var mfd_mfd_centered_wind_vector_arrow_3 = this.querySelector("#mfd_mfd_centered_wind_vector_arrow_3");
		if (typeof mfd_mfd_centered_wind_vector_arrow_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("AMBIENT WIND DIRECTION", "degree") - SimVar.GetSimVarValue("MAGVAR", "degree") - 180 - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:Ambient Wind Direction,degrees) (A:MAGVAR, degrees) - 180 - (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_wind_vector_arrow_3.style.transform = transform; 

		}

		/* MFD_WIND_DIRECTION_READOUT_4 */
		var mfd_Wind_Direction_Readout_4 = this.querySelector("#mfd_Wind_Direction_Readout_4");
		if (typeof mfd_Wind_Direction_Readout_4 !== "undefined") {
		  var transform = '';

			mfd_Wind_Direction_Readout_4.innerHTML = ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Direction_Readout_4.style.transform = transform; 

		}

		/* MFD_WIND_SPEED_READOUT_5 */
		var mfd_Wind_Speed_Readout_5 = this.querySelector("#mfd_Wind_Speed_Readout_5");
		if (typeof mfd_Wind_Speed_Readout_5 !== "undefined") {
		  var transform = '';

			mfd_Wind_Speed_Readout_5.innerHTML = "*/" + ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Speed_Readout_5.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COMPASS_RING_6 */
		var mfd_mfd_centered_compass_ring_6 = this.querySelector("#mfd_mfd_centered_compass_ring_6");
		if (typeof mfd_mfd_centered_compass_ring_6 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians")) * (-1); /* PARSED FROM "(A:Plane heading degrees gyro, radians) /-/" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_compass_ring_6.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_FIXED_PARTS_7 */
		var mfd_mfd_centered_fixed_parts_7 = this.querySelector("#mfd_mfd_centered_fixed_parts_7");
		if (typeof mfd_mfd_centered_fixed_parts_7 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_centered_fixed_parts_7.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COURSE_DEVIATION_SCALE_8 */
		var mfd_mfd_centered_course_deviation_scale_8 = this.querySelector("#mfd_mfd_centered_course_deviation_scale_8");
		if (typeof mfd_mfd_centered_course_deviation_scale_8 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_course_deviation_scale_8.style.display = ( 1 != 2 ) && SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_course_deviation_scale_8.style.transform = transform; 

		}

		/* MFD_COURSE_DEVIATION_BAR_9 */
		var mfd_Course_Deviation_Bar_9 = this.querySelector("#mfd_Course_Deviation_Bar_9");
		if (typeof mfd_Course_Deviation_Bar_9 !== "undefined") {
		  var transform = '';

		  mfd_Course_Deviation_Bar_9.style.display = ( SimVar.GetSimVarValue("HSI has localizer", "boolean") || SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ) && ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = ( SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ?  SimVar.GetSimVarValue("HSI CDI needle", "number") :  0 ); /* PARSED FROM "(A:HSI CDI needle valid, bool) if{ (A:HSI CDI needle, number) } els{ 0 }" */
			var Minimum = -60.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 60.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0.975) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    mfd_Course_Deviation_Bar_9.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COURSE_DEVIATION_BAR_10 */
		var mfd_mfd_centered_course_deviation_bar_10 = this.querySelector("#mfd_mfd_centered_course_deviation_bar_10");
		if (typeof mfd_mfd_centered_course_deviation_bar_10 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_centered_course_deviation_bar_10.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_COURSE_DEVIATION_BAR_FILL_11 */
		var mfd_mfd_centered_course_deviation_bar_fill_11 = this.querySelector("#mfd_mfd_centered_course_deviation_bar_fill_11");
		if (typeof mfd_mfd_centered_course_deviation_bar_fill_11 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_course_deviation_bar_fill_11.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI CDI needle, number) abs 50 <" */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_centered_course_deviation_bar_fill_11.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_SELECTED_COURSE_POINTER_12 */
		var mfd_mfd_centered_selected_course_pointer_12 = this.querySelector("#mfd_mfd_centered_selected_course_pointer_12");
		if (typeof mfd_mfd_centered_selected_course_pointer_12 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_selected_course_pointer_12.style.display = ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM "(A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_selected_course_pointer_12.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_GLIDESLOPE_DEVIATION_SCALE_13 */
		var mfd_mfd_centered_glideslope_deviation_scale_13 = this.querySelector("#mfd_mfd_centered_glideslope_deviation_scale_13");
		if (typeof mfd_mfd_centered_glideslope_deviation_scale_13 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_glideslope_deviation_scale_13.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS Mode,number) 0 == d (A:HSI GSI needle valid, bool) &&" */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_centered_glideslope_deviation_scale_13.style.transform = transform; 

		}

		/* MFD_GS_POINTER_14 */
		var mfd_GS_Pointer_14 = this.querySelector("#mfd_GS_Pointer_14");
		if (typeof mfd_GS_Pointer_14 !== "undefined") {
		  var transform = '';

		  mfd_GS_Pointer_14.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS Mode,number) 0 == d (A:HSI GSI needle valid, bool) &&" */ ? "block" : "none";

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI GSI needle", "number") / 120; /* PARSED FROM "(A:HSI GSI needle, number) 120 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 57) + 'px) ';
		  }
		  if (transform != '')
		    mfd_GS_Pointer_14.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_GLIDESLOPE_POINTER_15 */
		var mfd_mfd_centered_glideslope_pointer_15 = this.querySelector("#mfd_mfd_centered_glideslope_pointer_15");
		if (typeof mfd_mfd_centered_glideslope_pointer_15 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_centered_glideslope_pointer_15.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_GLIDESLOPE_POINTER_FILL_16 */
		var mfd_mfd_centered_glideslope_pointer_fill_16 = this.querySelector("#mfd_mfd_centered_glideslope_pointer_fill_16");
		if (typeof mfd_mfd_centered_glideslope_pointer_fill_16 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_glideslope_pointer_fill_16.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI GSI needle, number) abs 50 < " */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_centered_glideslope_pointer_fill_16.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_TO_FROM_ARROW_TO_17 */
		var mfd_mfd_centered_to_from_arrow_to_17 = this.querySelector("#mfd_mfd_centered_to_from_arrow_to_17");
		if (typeof mfd_mfd_centered_to_from_arrow_to_17 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_to_from_arrow_to_17.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI TF FLAGS,enum) 1 == (L:EFIS Mode, number) 2 != and" */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_to_from_arrow_to_17.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_TO_FROM_ARROW_FROM_18 */
		var mfd_mfd_centered_to_from_arrow_from_18 = this.querySelector("#mfd_mfd_centered_to_from_arrow_from_18");
		if (typeof mfd_mfd_centered_to_from_arrow_from_18 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_to_from_arrow_from_18.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI TF FLAGS,enum) 2 == (L:EFIS Mode, number) 2 != and" */ ? "block" : "none";

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_to_from_arrow_from_18.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_TRACK_LINE_19 */
		var mfd_mfd_centered_track_line_19 = this.querySelector("#mfd_mfd_centered_track_line_19");
		if (typeof mfd_mfd_centered_track_line_19 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("GPS GROUND MAGNETIC TRACK", "degree") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:GPS GROUND MAGNETIC TRACK,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_track_line_19.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_NUMBER_2_VOR_ADF_POINTER_20 */
		var mfd_mfd_centered_number_2_vor_adf_pointer_20 = this.querySelector("#mfd_mfd_centered_number_2_vor_adf_pointer_20");
		if (typeof mfd_mfd_centered_number_2_vor_adf_pointer_20 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_number_2_vor_adf_pointer_20.style.display = ( 1 != 1 ) && ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:2", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:2", "radians") ); /* PARSED FROM " (L:EFIS VORADF2,number) 0 == if{ (A:NAV2 radial, radians) (A:Plane heading degrees gyro, radians) - pi + } els{ (A:ADF radial:2, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_number_2_vor_adf_pointer_20.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_NUMBER_1_VOR_ADF_POINTER_21 */
		var mfd_mfd_centered_number_1_vor_adf_pointer_21 = this.querySelector("#mfd_mfd_centered_number_1_vor_adf_pointer_21");
		if (typeof mfd_mfd_centered_number_1_vor_adf_pointer_21 !== "undefined") {
		  var transform = '';

		  mfd_mfd_centered_number_1_vor_adf_pointer_21.style.display = ( 1 != 1 ) && ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180 :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (L:EFIS VORADF1,number) 0 == if{ (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd } els{ (A:ADF1 radial, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_number_1_vor_adf_pointer_21.style.transform = transform; 

		}

		/* MFD_MFD_CENTERED_HEADING_BUG_22 */
		var mfd_mfd_centered_heading_bug_22 = this.querySelector("#mfd_mfd_centered_heading_bug_22");
		if (typeof mfd_mfd_centered_heading_bug_22 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 0; /* POSSIBLE JS ERROR " (A:Autopilot heading lock dir,degrees) d (A:PARTIAL PANEL HEADING,bool) (A:PARTIAL PANEL ELECTRICAL,bool) or 0 == if{ (A:Plane heading degrees gyro,degrees) - } dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_centered_heading_bug_22.style.transform = transform; 

		}

		/* MFD_GS_TAS_READOUT_23 */
		var mfd_GS_TAS_Readout_23 = this.querySelector("#mfd_GS_TAS_Readout_23");
		if (typeof mfd_GS_TAS_Readout_23 !== "undefined") {
		  var transform = '';

			mfd_GS_TAS_Readout_23.innerHTML = "GS " + Math.round( SimVar.GetSimVarValue("GPS GROUND SPEED", "knots") ).toString() + " TAS " + Math.round( SimVar.GetSimVarValue("AIRSPEED TRUE", "knots") ).toString() ;

		  if (transform != '')
		    mfd_GS_TAS_Readout_23.style.transform = transform; 

		}

		/* MFD_HDG_LEGEND_24 */
		var mfd_HDG_legend_24 = this.querySelector("#mfd_HDG_legend_24");
		if (typeof mfd_HDG_legend_24 !== "undefined") {
		  var transform = '';

			mfd_HDG_legend_24.innerHTML = "HDG";

		  if (transform != '')
		    mfd_HDG_legend_24.style.transform = transform; 

		}

		/* MFD_HDG_READOUT_25 */
		var mfd_HDG_Readout_25 = this.querySelector("#mfd_HDG_Readout_25");
		if (typeof mfd_HDG_Readout_25 !== "undefined") {
		  var transform = '';

			mfd_HDG_Readout_25.innerHTML = Math.round( SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") ).toString() ;

		  if (transform != '')
		    mfd_HDG_Readout_25.style.transform = transform; 

		}

		/* MFD_MAG_LEGEND_26 */
		var mfd_MAG_Legend_26 = this.querySelector("#mfd_MAG_Legend_26");
		if (typeof mfd_MAG_Legend_26 !== "undefined") {
		  var transform = '';

			mfd_MAG_Legend_26.innerHTML = "MAG";

		  if (transform != '')
		    mfd_MAG_Legend_26.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_BACKGROUND_ON_27 */
		var mfd_mfd_expanded_background_on_27 = this.querySelector("#mfd_mfd_expanded_background_on_27");
		if (typeof mfd_mfd_expanded_background_on_27 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_background_on_27.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:MFD Centered, number) 0 == d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_expanded_background_on_27.style.transform = transform; 

		}

		/* MFD_EXPANDED_MAP_28 */
		var mfd_Expanded_Map_28 = this.querySelector("#mfd_Expanded_Map_28");
		if (typeof mfd_Expanded_Map_28 !== "undefined") {
		  var transform = '';

		  mfd_Expanded_Map_28.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:EFIS Mode, number) 2 == d (L:MFD Centered, number) 0 == && d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_Expanded_Map_28.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_29 */
		var mfd_MFD_Expanded_29 = this.querySelector("#mfd_MFD_Expanded_29");
		if (typeof mfd_MFD_Expanded_29 !== "undefined") {
		  var transform = '';

		  mfd_MFD_Expanded_29.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR " (L:MFD Centered, number) 0 == d (A:CIRCUIT GENERAL PANEL ON, bool) && " */ ? "block" : "none";

		  if (transform != '')
		    mfd_MFD_Expanded_29.style.transform = transform; 

		}

		/* MFD_GS_TAS_READOUT_30 */
		var mfd_GS_TAS_Readout_30 = this.querySelector("#mfd_GS_TAS_Readout_30");
		if (typeof mfd_GS_TAS_Readout_30 !== "undefined") {
		  var transform = '';

			mfd_GS_TAS_Readout_30.innerHTML = "GS " + Math.round( SimVar.GetSimVarValue("GPS GROUND SPEED", "knots") ).toString() + " \n TAS " + Math.round( SimVar.GetSimVarValue("AIRSPEED TRUE", "knots") ).toString() ;

		  if (transform != '')
		    mfd_GS_TAS_Readout_30.style.transform = transform; 

		}

		/* MFD_WIND_DIRECTION_READOUT_31 */
		var mfd_Wind_Direction_Readout_31 = this.querySelector("#mfd_Wind_Direction_Readout_31");
		if (typeof mfd_Wind_Direction_Readout_31 !== "undefined") {
		  var transform = '';

			mfd_Wind_Direction_Readout_31.innerHTML = ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Direction_Readout_31.style.transform = transform; 

		}

		/* MFD_WIND_SPEED_READOUT_32 */
		var mfd_Wind_Speed_Readout_32 = this.querySelector("#mfd_Wind_Speed_Readout_32");
		if (typeof mfd_Wind_Speed_Readout_32 !== "undefined") {
		  var transform = '';

			mfd_Wind_Speed_Readout_32.innerHTML = "*/" + ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    mfd_Wind_Speed_Readout_32.style.transform = transform; 

		}

		/* MFD_HDG_LEGEND_33 */
		var mfd_HDG_legend_33 = this.querySelector("#mfd_HDG_legend_33");
		if (typeof mfd_HDG_legend_33 !== "undefined") {
		  var transform = '';

			mfd_HDG_legend_33.innerHTML = "HDG";

		  if (transform != '')
		    mfd_HDG_legend_33.style.transform = transform; 

		}

		/* MFD_HDG_READOUT_34 */
		var mfd_HDG_Readout_34 = this.querySelector("#mfd_HDG_Readout_34");
		if (typeof mfd_HDG_Readout_34 !== "undefined") {
		  var transform = '';

			mfd_HDG_Readout_34.innerHTML = Math.round( SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") ).toString() ;

		  if (transform != '')
		    mfd_HDG_Readout_34.style.transform = transform; 

		}

		/* MFD_MAG_LEGEND_35 */
		var mfd_MAG_Legend_35 = this.querySelector("#mfd_MAG_Legend_35");
		if (typeof mfd_MAG_Legend_35 !== "undefined") {
		  var transform = '';

			mfd_MAG_Legend_35.innerHTML = "MAG";

		  if (transform != '')
		    mfd_MAG_Legend_35.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_ARC_36 */
		var mfd_mfd_expanded_arc_36 = this.querySelector("#mfd_mfd_expanded_arc_36");
		if (typeof mfd_mfd_expanded_arc_36 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians")) * (-1); /* PARSED FROM "(A:Plane heading degrees gyro, radians) /-/" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_arc_36.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_FIXED_PARTS_37 */
		var mfd_mfd_expanded_fixed_parts_37 = this.querySelector("#mfd_mfd_expanded_fixed_parts_37");
		if (typeof mfd_mfd_expanded_fixed_parts_37 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_fixed_parts_37.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_GLIDESLOPE_DEVIATION_SCALE_38 */
		var mfd_mfd_expanded_glideslope_deviation_scale_38 = this.querySelector("#mfd_mfd_expanded_glideslope_deviation_scale_38");
		if (typeof mfd_mfd_expanded_glideslope_deviation_scale_38 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_glideslope_deviation_scale_38.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS Mode,number) 0 == d (A:HSI GSI needle valid, bool) &&" */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_expanded_glideslope_deviation_scale_38.style.transform = transform; 

		}

		/* MFD_GS_POINTER_39 */
		var mfd_GS_Pointer_39 = this.querySelector("#mfd_GS_Pointer_39");
		if (typeof mfd_GS_Pointer_39 !== "undefined") {
		  var transform = '';

		  mfd_GS_Pointer_39.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS Mode,number) 0 == d (A:HSI GSI needle valid, bool) &&" */ ? "block" : "none";

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI GSI needle", "number") / 120; /* PARSED FROM "(A:HSI GSI needle, number) 120 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 57) + 'px) ';
		  }
		  if (transform != '')
		    mfd_GS_Pointer_39.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_GLIDESLOPE_POINTER_40 */
		var mfd_mfd_expanded_glideslope_pointer_40 = this.querySelector("#mfd_mfd_expanded_glideslope_pointer_40");
		if (typeof mfd_mfd_expanded_glideslope_pointer_40 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_glideslope_pointer_40.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_GLIDESLOPE_POINTER_FILL_41 */
		var mfd_mfd_expanded_glideslope_pointer_fill_41 = this.querySelector("#mfd_mfd_expanded_glideslope_pointer_fill_41");
		if (typeof mfd_mfd_expanded_glideslope_pointer_fill_41 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_glideslope_pointer_fill_41.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI GSI needle, number) abs 10 <" */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_expanded_glideslope_pointer_fill_41.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_COURSE_DEVIATION_SCALE_AND_POINTER_42 */
		var mfd_mfd_expanded_course_deviation_scale_and_pointer_42 = this.querySelector("#mfd_mfd_expanded_course_deviation_scale_and_pointer_42");
		if (typeof mfd_mfd_expanded_course_deviation_scale_and_pointer_42 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_course_deviation_scale_and_pointer_42.style.display = SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_expanded_course_deviation_scale_and_pointer_42.style.transform = transform; 

		}

		/* MFD_CRS_POINTER_43 */
		var mfd_CRS_Pointer_43 = this.querySelector("#mfd_CRS_Pointer_43");
		if (typeof mfd_CRS_Pointer_43 !== "undefined") {
		  var transform = '';

		  mfd_CRS_Pointer_43.style.display = SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ? "block" : "none";

		  {
			var ExpressionResult = ( SimVar.GetSimVarValue("HSI CDI needle valid", "boolean") ?  SimVar.GetSimVarValue("HSI CDI needle", "number") :  0 ); /* PARSED FROM "(A:HSI CDI needle valid, bool) if{ (A:HSI CDI needle, number) } els{ 0 }" */
			var Minimum = -60.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 60.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0.975) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    mfd_CRS_Pointer_43.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_SELECTED_COURSE_POINTER_44 */
		var mfd_mfd_expanded_selected_course_pointer_44 = this.querySelector("#mfd_mfd_expanded_selected_course_pointer_44");
		if (typeof mfd_mfd_expanded_selected_course_pointer_44 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_selected_course_pointer_44.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_SELECTED_COURSE_POINTER_FILL_45 */
		var mfd_mfd_expanded_selected_course_pointer_fill_45 = this.querySelector("#mfd_mfd_expanded_selected_course_pointer_fill_45");
		if (typeof mfd_mfd_expanded_selected_course_pointer_fill_45 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_selected_course_pointer_fill_45.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:HSI CDI needle, number) abs 50 < " */ ? "block" : "none";

		  if (transform != '')
		    mfd_mfd_expanded_selected_course_pointer_fill_45.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_COURSE_DEVIATION_SCALE_AND_POINTER_EXTENSION_46 */
		var mfd_mfd_expanded_course_deviation_scale_and_pointer_extension_46 = this.querySelector("#mfd_mfd_expanded_course_deviation_scale_and_pointer_extension_46");
		if (typeof mfd_mfd_expanded_course_deviation_scale_and_pointer_extension_46 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_course_deviation_scale_and_pointer_extension_46.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_AIRPLANE_SYMBOL_47 */
		var mfd_mfd_expanded_airplane_symbol_47 = this.querySelector("#mfd_mfd_expanded_airplane_symbol_47");
		if (typeof mfd_mfd_expanded_airplane_symbol_47 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_mfd_expanded_airplane_symbol_47.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_HEADING_BUG_48 */
		var mfd_mfd_expanded_heading_bug_48 = this.querySelector("#mfd_mfd_expanded_heading_bug_48");
		if (typeof mfd_mfd_expanded_heading_bug_48 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 0; /* POSSIBLE JS ERROR " (A:PARTIAL PANEL HEADING,bool) (A:PARTIAL PANEL ELECTRICAL,bool) or 0 == if{ (A:Autopilot heading lock dir,degrees) (A:Plane heading degrees gyro,degrees) - 360 + 360 % s0 180 > if{ l0 318 < if{ 318 } els{ l0 } } els{ l0 41 > if{ 41 } els{ l0 } } dgrd } els{ 0 } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_heading_bug_48.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_TRACK_LINE_49 */
		var mfd_mfd_expanded_track_line_49 = this.querySelector("#mfd_mfd_expanded_track_line_49");
		if (typeof mfd_mfd_expanded_track_line_49 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("GPS GROUND MAGNETIC TRACK", "degree") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180; /* PARSED FROM " (A:GPS GROUND MAGNETIC TRACK,degrees) (A:Plane heading degrees gyro,degrees) - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_track_line_49.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_HEADING_LINE_50 */
		var mfd_mfd_expanded_heading_line_50 = this.querySelector("#mfd_mfd_expanded_heading_line_50");
		if (typeof mfd_mfd_expanded_heading_line_50 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 0; /* POSSIBLE JS ERROR " (A:PARTIAL PANEL HEADING,bool) (A:PARTIAL PANEL ELECTRICAL,bool) or 0 == if{ (A:Autopilot heading lock dir,degrees) (A:Plane heading degrees gyro,degrees) - dgrd } els{ 0 } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_heading_line_50.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_NUMBER_1_VOR_ADF_POINTER_51 */
		var mfd_mfd_expanded_number_1_vor_adf_pointer_51 = this.querySelector("#mfd_mfd_expanded_number_1_vor_adf_pointer_51");
		if (typeof mfd_mfd_expanded_number_1_vor_adf_pointer_51 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_number_1_vor_adf_pointer_51.style.display = ( 1 != 1 ) && ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  (SimVar.GetSimVarValue("NAV OBS:1", "degrees") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees"))* Math.PI/180 :  SimVar.GetSimVarValue("ADF RADIAL:1", "radians") ); /* PARSED FROM " (L:EFIS VORADF1,number) 0 == if{ (A:NAV1 OBS,degrees) (A:Plane heading degrees gyro,degrees) - dgrd } els{ (A:ADF1 radial, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_number_1_vor_adf_pointer_51.style.transform = transform; 

		}

		/* MFD_MFD_EXPANDED_NUMBER_2_VOR_ADF_POINTER_52 */
		var mfd_mfd_expanded_number_2_vor_adf_pointer_52 = this.querySelector("#mfd_mfd_expanded_number_2_vor_adf_pointer_52");
		if (typeof mfd_mfd_expanded_number_2_vor_adf_pointer_52 !== "undefined") {
		  var transform = '';

		  mfd_mfd_expanded_number_2_vor_adf_pointer_52.style.display = ( 1 != 1 ) && ( 1 != 2 ) ? "block" : "none";

		  {

			var ExpressionResult = ( ( 1 == 0 ) ?  SimVar.GetSimVarValue("NAV OBS:2", "radians") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "radians") + Math.PI :  SimVar.GetSimVarValue("ADF RADIAL:2", "radians") ); /* PARSED FROM " (L:EFIS VORADF2,number) 0 == if{ (A:NAV2 radial, radians) (A:Plane heading degrees gyro, radians) - pi + } els{ (A:ADF radial:2, radians) } " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    mfd_mfd_expanded_number_2_vor_adf_pointer_52.style.transform = transform; 

		}

		/* MFD_ILS_1_INFORMATION___TOP_RIGHT_53 */
		var mfd_ILS_1_Information___Top_Right_53 = this.querySelector("#mfd_ILS_1_Information___Top_Right_53");
		if (typeof mfd_ILS_1_Information___Top_Right_53 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    mfd_ILS_1_Information___Top_Right_53.style.transform = transform; 

		}

		/* MFD_ILS_1_LEGEND_54 */
		var mfd_ILS_1_Legend_54 = this.querySelector("#mfd_ILS_1_Legend_54");
		if (typeof mfd_ILS_1_Legend_54 !== "undefined") {
		  var transform = '';

			mfd_ILS_1_Legend_54.innerHTML = ( SimVar.GetSimVarValue("NAV HAS GLIDE SLOPE", "boolean") ).toString() + "{if}ILS 1%{else}VOR 1%{end}" ;

		  if (transform != '')
		    mfd_ILS_1_Legend_54.style.transform = transform; 

		}

		/* MFD_ILS_1_IDENT_55 */
		var mfd_ILS_1_Ident_55 = this.querySelector("#mfd_ILS_1_Ident_55");
		if (typeof mfd_ILS_1_Ident_55 !== "undefined") {
		  var transform = '';

			mfd_ILS_1_Ident_55.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:1", "string") ).toString() ;

		  if (transform != '')
		    mfd_ILS_1_Ident_55.style.transform = transform; 

		}

		/* MFD_ILS_1_CRS_56 */
		var mfd_ILS_1_CRS_56 = this.querySelector("#mfd_ILS_1_CRS_56");
		if (typeof mfd_ILS_1_CRS_56 !== "undefined") {
		  var transform = '';

			mfd_ILS_1_CRS_56.innerHTML = "CRS " + Math.round( SimVar.GetSimVarValue("NAV OBS:1", "degrees") ).toString() ;

		  if (transform != '')
		    mfd_ILS_1_CRS_56.style.transform = transform; 

		}

		/* MFD_DME_57 */
		var mfd_DME_57 = this.querySelector("#mfd_DME_57");
		if (typeof mfd_DME_57 !== "undefined") {
		  var transform = '';

			mfd_DME_57.innerHTML = ( SimVar.GetSimVarValue("GPS DRIVES NAV1", "boolean") ).toString() + "{if}GPS%{else}DME%{end} " + ( ( SimVar.GetSimVarValue("HSI distance", "nautical miles") >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    mfd_DME_57.style.transform = transform; 

		}

		/* MFD_TEXT_NAV_DATA_58 */
		var mfd_Text_NAV_data_58 = this.querySelector("#mfd_Text_NAV_data_58");
		if (typeof mfd_Text_NAV_data_58 !== "undefined") {
		  var transform = '';

		  mfd_Text_NAV_data_58.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    mfd_Text_NAV_data_58.style.transform = transform; 

		}

		/* MFD_VOR_1_INFORMATION_59 */
		var mfd_VOR_1_Information_59 = this.querySelector("#mfd_VOR_1_Information_59");
		if (typeof mfd_VOR_1_Information_59 !== "undefined") {
		  var transform = '';

		  mfd_VOR_1_Information_59.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF1,number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    mfd_VOR_1_Information_59.style.transform = transform; 

		}

		/* MFD_VOR_1_LEGEND_60 */
		var mfd_VOR_1_Legend_60 = this.querySelector("#mfd_VOR_1_Legend_60");
		if (typeof mfd_VOR_1_Legend_60 !== "undefined") {
		  var transform = '';

			mfd_VOR_1_Legend_60.innerHTML = "VOR 1";

		  if (transform != '')
		    mfd_VOR_1_Legend_60.style.transform = transform; 

		}

		/* MFD_NAV_1_IDENT_61 */
		var mfd_NAV_1_Ident_61 = this.querySelector("#mfd_NAV_1_Ident_61");
		if (typeof mfd_NAV_1_Ident_61 !== "undefined") {
		  var transform = '';

			mfd_NAV_1_Ident_61.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:1", "string") ).toString() ;

		  if (transform != '')
		    mfd_NAV_1_Ident_61.style.transform = transform; 

		}

		/* MFD_DME_62 */
		var mfd_DME_62 = this.querySelector("#mfd_DME_62");
		if (typeof mfd_DME_62 !== "undefined") {
		  var transform = '';

			mfd_DME_62.innerHTML = "DME " + ( ( Math.max( Math.min( SimVar.GetSimVarValue("NAV DME:1", "nautical mile"), 999 ), 0 ) >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    mfd_DME_62.style.transform = transform; 

		}

		/* MFD_ADF_1_INFORMATION_63 */
		var mfd_ADF_1_Information_63 = this.querySelector("#mfd_ADF_1_Information_63");
		if (typeof mfd_ADF_1_Information_63 !== "undefined") {
		  var transform = '';

		  mfd_ADF_1_Information_63.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF1,number) 2 == " */ ? "block" : "none";

		  if (transform != '')
		    mfd_ADF_1_Information_63.style.transform = transform; 

		}

		/* MFD_ADF_1_LEGEND_64 */
		var mfd_ADF_1_Legend_64 = this.querySelector("#mfd_ADF_1_Legend_64");
		if (typeof mfd_ADF_1_Legend_64 !== "undefined") {
		  var transform = '';

			mfd_ADF_1_Legend_64.innerHTML = "ADF 1";

		  if (transform != '')
		    mfd_ADF_1_Legend_64.style.transform = transform; 

		}

		/* MFD_ADF_1_IDENT_65 */
		var mfd_ADF_1_Ident_65 = this.querySelector("#mfd_ADF_1_Ident_65");
		if (typeof mfd_ADF_1_Ident_65 !== "undefined") {
		  var transform = '';

			mfd_ADF_1_Ident_65.innerHTML = ( SimVar.GetSimVarValue("Adf1 ident", "string") ).toString() ;

		  if (transform != '')
		    mfd_ADF_1_Ident_65.style.transform = transform; 

		}

		/* MFD_VOR_2_INFORMATION_66 */
		var mfd_VOR_2_Information_66 = this.querySelector("#mfd_VOR_2_Information_66");
		if (typeof mfd_VOR_2_Information_66 !== "undefined") {
		  var transform = '';

		  mfd_VOR_2_Information_66.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF2,number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    mfd_VOR_2_Information_66.style.transform = transform; 

		}

		/* MFD_VOR_2_LEGEND_67 */
		var mfd_VOR_2_Legend_67 = this.querySelector("#mfd_VOR_2_Legend_67");
		if (typeof mfd_VOR_2_Legend_67 !== "undefined") {
		  var transform = '';

			mfd_VOR_2_Legend_67.innerHTML = "VOR 2";

		  if (transform != '')
		    mfd_VOR_2_Legend_67.style.transform = transform; 

		}

		/* MFD_NAV_2_IDENT_68 */
		var mfd_NAV_2_Ident_68 = this.querySelector("#mfd_NAV_2_Ident_68");
		if (typeof mfd_NAV_2_Ident_68 !== "undefined") {
		  var transform = '';

			mfd_NAV_2_Ident_68.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:2", "string") ).toString() ;

		  if (transform != '')
		    mfd_NAV_2_Ident_68.style.transform = transform; 

		}

		/* MFD_DME_69 */
		var mfd_DME_69 = this.querySelector("#mfd_DME_69");
		if (typeof mfd_DME_69 !== "undefined") {
		  var transform = '';

			mfd_DME_69.innerHTML = "DME " + ( ( Math.max( Math.min( SimVar.GetSimVarValue("NAV DME:2", "nautical mile"), 999 ), 0 ) >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    mfd_DME_69.style.transform = transform; 

		}

		/* MFD_ADF_2_INFORMATION_70 */
		var mfd_ADF_2_Information_70 = this.querySelector("#mfd_ADF_2_Information_70");
		if (typeof mfd_ADF_2_Information_70 !== "undefined") {
		  var transform = '';

		  mfd_ADF_2_Information_70.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF2,number) 2 == " */ ? "block" : "none";

		  if (transform != '')
		    mfd_ADF_2_Information_70.style.transform = transform; 

		}

		/* MFD_ADF_2_LEGEND_71 */
		var mfd_ADF_2_Legend_71 = this.querySelector("#mfd_ADF_2_Legend_71");
		if (typeof mfd_ADF_2_Legend_71 !== "undefined") {
		  var transform = '';

			mfd_ADF_2_Legend_71.innerHTML = "ADF 2";

		  if (transform != '')
		    mfd_ADF_2_Legend_71.style.transform = transform; 

		}

		/* MFD_ADF_1_IDENT_72 */
		var mfd_ADF_1_Ident_72 = this.querySelector("#mfd_ADF_1_Ident_72");
		if (typeof mfd_ADF_1_Ident_72 !== "undefined") {
		  var transform = '';

			mfd_ADF_1_Ident_72.innerHTML = ( SimVar.GetSimVarValue("Adf1 ident", "string") ).toString() ;

		  if (transform != '')
		    mfd_ADF_1_Ident_72.style.transform = transform; 

		}

    }
}
registerLivery("gauges_essai4-element", gauges_essai4);
