class gauges_essai5 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_essai5"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* EFIS_CONTROL_PANEL_VOR_ADF_1_0 */
		var efis_control_panel_VOR_ADF_1_0 = this.querySelector("#efis_control_panel_VOR_ADF_1_0");
		if (typeof efis_control_panel_VOR_ADF_1_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    efis_control_panel_VOR_ADF_1_0.style.transform = transform; 

		}

		/* EFIS_CONTROL_PANEL_VOR_ADF_2_1 */
		var efis_control_panel_VOR_ADF_2_1 = this.querySelector("#efis_control_panel_VOR_ADF_2_1");
		if (typeof efis_control_panel_VOR_ADF_2_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    efis_control_panel_VOR_ADF_2_1.style.transform = transform; 

		}

		/* EFIS_CONTROL_PANEL_EFIS_CONTROL_PANEL_KNOB_RANGE_2 */
		var efis_control_panel_efis_control_panel_knob_range_2 = this.querySelector("#efis_control_panel_efis_control_panel_knob_range_2");
		if (typeof efis_control_panel_efis_control_panel_knob_range_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    efis_control_panel_efis_control_panel_knob_range_2.style.transform = transform; 

		}

		/* EFIS_CONTROL_PANEL_EFIS_CONTROL_PANEL_KNOB_MODE_3 */
		var efis_control_panel_efis_control_panel_knob_mode_3 = this.querySelector("#efis_control_panel_efis_control_panel_knob_mode_3");
		if (typeof efis_control_panel_efis_control_panel_knob_mode_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = 1; /* PARSED FROM "(L:EFIS Mode, number)" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 2.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[0, 609.443954780417],
				[1, 660.579226872489],
				[2, 715.426078740099],
				[3, 763.451842301022],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    efis_control_panel_efis_control_panel_knob_mode_3.style.transform = transform; 

		}

		/* EFIS_CONTROL_PANEL_EFIS_CONTROL_PANEL_KNOB_MINS_4 */
		var efis_control_panel_efis_control_panel_knob_mins_4 = this.querySelector("#efis_control_panel_efis_control_panel_knob_mins_4");
		if (typeof efis_control_panel_efis_control_panel_knob_mins_4 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    efis_control_panel_efis_control_panel_knob_mins_4.style.transform = transform; 

		}

		/* EFIS_CONTROL_PANEL_EFIS_CONTROL_PANEL_KNOB_BARO_5 */
		var efis_control_panel_efis_control_panel_knob_baro_5 = this.querySelector("#efis_control_panel_efis_control_panel_knob_baro_5");
		if (typeof efis_control_panel_efis_control_panel_knob_baro_5 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("Var1", "number"))* Math.PI/180; /* PARSED FROM "(G:Var1, number) dgrd" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    efis_control_panel_efis_control_panel_knob_baro_5.style.transform = transform; 

		}

    }
}
registerLivery("gauges_essai5-element", gauges_essai5);
