class gauges_essai_d extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_essai_d"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }

		var g = 0;
		var MapWidth = 340;
		var MapHeight = 340;
		var CalculateZoomFactor = 0;
		var LightFlash = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(P:Local Time,seconds) 1 * 6 % near if{ 1 } els{ 0 }" */;
		var ZOOMOUTButton = 1;
		var ZOOMINButton = 1;

		/* RADARSCREEN_V1_SCREEN_0 */
		var Radarscreen_V1_Screen_0 = this.querySelector("#Radarscreen_V1_Screen_0");
		if (typeof Radarscreen_V1_Screen_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Screen_0.style.transform = transform; 

		}

		/* RADARSCREEN_V1_MAP_1 */
		var Radarscreen_V1_MAP_1 = this.querySelector("#Radarscreen_V1_MAP_1");
		if (typeof Radarscreen_V1_MAP_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_MAP_1.style.transform = transform; 

		}

		/* RADARSCREEN_V1_MAP_2 */
		var Radarscreen_V1_Map_2 = this.querySelector("#Radarscreen_V1_Map_2");
		if (typeof Radarscreen_V1_Map_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Map_2.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_3 */
		var Radarscreen_V1_Element_3 = this.querySelector("#Radarscreen_V1_Element_3");
		if (typeof Radarscreen_V1_Element_3 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_3.style.transform = transform; 

		}

		/* RADARSCREEN_V1_HDG_MARKER_4 */
		var Radarscreen_V1_HDG_Marker_4 = this.querySelector("#Radarscreen_V1_HDG_Marker_4");
		if (typeof Radarscreen_V1_HDG_Marker_4 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_HDG_Marker_4.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ANTENNE_5 */
		var Radarscreen_V1_Antenne_5 = this.querySelector("#Radarscreen_V1_Antenne_5");
		if (typeof Radarscreen_V1_Antenne_5 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetGlobalVarValue("LOCAL TIME", "seconds") % 25; /* PARSED FROM "(P:Local time,seconds) 25 %" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    Radarscreen_V1_Antenne_5.style.transform = transform; 

		}

		/* RADARSCREEN_V1_COMPASS_ROSE_6 */
		var Radarscreen_V1_Compass_rose_6 = this.querySelector("#Radarscreen_V1_Compass_rose_6");
		if (typeof Radarscreen_V1_Compass_rose_6 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Compass_rose_6.style.display = ( 1 > 0 ) ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Compass_rose_6.style.transform = transform; 

		}

		/* RADARSCREEN_V1_AIF_7 */
		var Radarscreen_V1_AIF_7 = this.querySelector("#Radarscreen_V1_AIF_7");
		if (typeof Radarscreen_V1_AIF_7 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_AIF_7.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:AIF,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_AIF_7.style.transform = transform; 

		}

		/* RADARSCREEN_V1_HDG_READOUT_8 */
		var Radarscreen_V1_HDG_Readout_8 = this.querySelector("#Radarscreen_V1_HDG_Readout_8");
		if (typeof Radarscreen_V1_HDG_Readout_8 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_HDG_Readout_8.innerHTML = Math.round( ( ( Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) == 0 ) ? 360 : Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) ) ).toString() ;

		  if (transform != '')
		    Radarscreen_V1_HDG_Readout_8.style.transform = transform; 

		}

		/* RADARSCREEN_V1_AIRSPEED__READOUT_9 */
		var Radarscreen_V1_AirSpeed__Readout_9 = this.querySelector("#Radarscreen_V1_AirSpeed__Readout_9");
		if (typeof Radarscreen_V1_AirSpeed__Readout_9 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_AirSpeed__Readout_9.innerHTML = Math.round( SimVar.GetSimVarValue("GPS GROUND SPEED", "knots") / 10 ).toString() ;

		  if (transform != '')
		    Radarscreen_V1_AirSpeed__Readout_9.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ALT_READOUT_10 */
		var Radarscreen_V1_ALT_Readout_10 = this.querySelector("#Radarscreen_V1_ALT_Readout_10");
		if (typeof Radarscreen_V1_ALT_Readout_10 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_ALT_Readout_10.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Indicated Altitude, feet) 5000 < " */ ? "block" : "none";

			Radarscreen_V1_ALT_Readout_10.innerHTML = "R " + Math.round( SimVar.GetSimVarValue("RADIO HEIGHT", "feet") / 100 ).toString() ;

		  if (transform != '')
		    Radarscreen_V1_ALT_Readout_10.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ALT_READOUT_11 */
		var Radarscreen_V1_ALT_Readout_11 = this.querySelector("#Radarscreen_V1_ALT_Readout_11");
		if (typeof Radarscreen_V1_ALT_Readout_11 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_ALT_Readout_11.style.display = ( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") > 5000 ) ? "block" : "none";

			Radarscreen_V1_ALT_Readout_11.innerHTML = "B " + Math.round( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") / 100 ).toString() ;

		  if (transform != '')
		    Radarscreen_V1_ALT_Readout_11.style.transform = transform; 

		}

		/* RADARSCREEN_V1_HDG_FLASH_12 */
		var Radarscreen_V1_HDG_Flash_12 = this.querySelector("#Radarscreen_V1_HDG_Flash_12");
		if (typeof Radarscreen_V1_HDG_Flash_12 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_HDG_Flash_12.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "@LightFlash" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_HDG_Flash_12.style.transform = transform; 

		}

		/* RADARSCREEN_V1_VELOCITY_13 */
		var Radarscreen_V1_Velocity_13 = this.querySelector("#Radarscreen_V1_Velocity_13");
		if (typeof Radarscreen_V1_Velocity_13 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Velocity_13.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VLC,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Velocity_13.style.transform = transform; 

		}

		/* RADARSCREEN_V1_CENTER_LINE1_14 */
		var Radarscreen_V1_Center_Line1_14 = this.querySelector("#Radarscreen_V1_Center_Line1_14");
		if (typeof Radarscreen_V1_Center_Line1_14 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    Radarscreen_V1_Center_Line1_14.style.transform = transform; 

		}

		/* RADARSCREEN_V1_CENTER_LINE2_15 */
		var Radarscreen_V1_Center_Line2_15 = this.querySelector("#Radarscreen_V1_Center_Line2_15");
		if (typeof Radarscreen_V1_Center_Line2_15 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    Radarscreen_V1_Center_Line2_15.style.transform = transform; 

		}

		/* RADARSCREEN_V1_VELOCITY_16 */
		var Radarscreen_V1_velocity_16 = this.querySelector("#Radarscreen_V1_velocity_16");
		if (typeof Radarscreen_V1_velocity_16 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("INCIDENCE ALPHA", "degrees"); /* PARSED FROM "(A:INCIDENCE ALPHA,degrees)" */
			var Minimum = -20.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 20.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 5) + 'px) ';
		  }
		  if (transform != '')
		    Radarscreen_V1_velocity_16.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ZOOM40_17 */
		var Radarscreen_V1_ZOOM40_17 = this.querySelector("#Radarscreen_V1_ZOOM40_17");
		if (typeof Radarscreen_V1_ZOOM40_17 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_ZOOM40_17.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM40,enum) 14 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_ZOOM40_17.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE40_18 */
		var Radarscreen_V1_Range40_18 = this.querySelector("#Radarscreen_V1_Range40_18");
		if (typeof Radarscreen_V1_Range40_18 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Range40_18.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Range40_18.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE30_19 */
		var Radarscreen_V1_Range30_19 = this.querySelector("#Radarscreen_V1_Range30_19");
		if (typeof Radarscreen_V1_Range30_19 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Range30_19.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Range30_19.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE20_20 */
		var Radarscreen_V1_Range20_20 = this.querySelector("#Radarscreen_V1_Range20_20");
		if (typeof Radarscreen_V1_Range20_20 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Range20_20.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Range20_20.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE10_21 */
		var Radarscreen_V1_Range10_21 = this.querySelector("#Radarscreen_V1_Range10_21");
		if (typeof Radarscreen_V1_Range10_21 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Range10_21.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Range10_21.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ZOOM20_22 */
		var Radarscreen_V1_ZOOM20_22 = this.querySelector("#Radarscreen_V1_ZOOM20_22");
		if (typeof Radarscreen_V1_ZOOM20_22 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_ZOOM20_22.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM20,enum) 13 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_ZOOM20_22.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE20_23 */
		var Radarscreen_V1_Range20_23 = this.querySelector("#Radarscreen_V1_Range20_23");
		if (typeof Radarscreen_V1_Range20_23 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Range20_23.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Range20_23.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE10_24 */
		var Radarscreen_V1_Range10_24 = this.querySelector("#Radarscreen_V1_Range10_24");
		if (typeof Radarscreen_V1_Range10_24 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Range10_24.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_25 */
		var Radarscreen_V1_GaugeText_25 = this.querySelector("#Radarscreen_V1_GaugeText_25");
		if (typeof Radarscreen_V1_GaugeText_25 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_25.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM10,enum) 12 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_25.innerHTML = "10";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_25.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_26 */
		var Radarscreen_V1_GaugeText_26 = this.querySelector("#Radarscreen_V1_GaugeText_26");
		if (typeof Radarscreen_V1_GaugeText_26 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_26.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM20,enum) 13 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_26.innerHTML = "10";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_26.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_27 */
		var Radarscreen_V1_GaugeText_27 = this.querySelector("#Radarscreen_V1_GaugeText_27");
		if (typeof Radarscreen_V1_GaugeText_27 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_27.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM20,enum) 13 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_27.innerHTML = "20";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_27.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_28 */
		var Radarscreen_V1_GaugeText_28 = this.querySelector("#Radarscreen_V1_GaugeText_28");
		if (typeof Radarscreen_V1_GaugeText_28 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_28.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM40,enum) 14 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_28.innerHTML = "10";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_28.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_29 */
		var Radarscreen_V1_GaugeText_29 = this.querySelector("#Radarscreen_V1_GaugeText_29");
		if (typeof Radarscreen_V1_GaugeText_29 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_29.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM40,enum) 14 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_29.innerHTML = "20";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_29.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_30 */
		var Radarscreen_V1_GaugeText_30 = this.querySelector("#Radarscreen_V1_GaugeText_30");
		if (typeof Radarscreen_V1_GaugeText_30 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_30.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM40,enum) 14 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_30.innerHTML = "30";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_30.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_31 */
		var Radarscreen_V1_GaugeText_31 = this.querySelector("#Radarscreen_V1_GaugeText_31");
		if (typeof Radarscreen_V1_GaugeText_31 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_31.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM40,enum) 14 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_31.innerHTML = "40";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_31.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_32 */
		var Radarscreen_V1_GaugeText_32 = this.querySelector("#Radarscreen_V1_GaugeText_32");
		if (typeof Radarscreen_V1_GaugeText_32 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_32.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM10,enum) 12 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_32.innerHTML = "5";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_32.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ZOOM10_33 */
		var Radarscreen_V1_ZOOM10_33 = this.querySelector("#Radarscreen_V1_ZOOM10_33");
		if (typeof Radarscreen_V1_ZOOM10_33 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_ZOOM10_33.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:ZOOM10,enum) 12 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_ZOOM10_33.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ZOOM10_34 */
		var Radarscreen_V1_ZOOM10_34 = this.querySelector("#Radarscreen_V1_ZOOM10_34");
		if (typeof Radarscreen_V1_ZOOM10_34 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_ZOOM10_34.style.transform = transform; 

		}

		/* RADARSCREEN_V1_RANGE10_35 */
		var Radarscreen_V1_Range10_35 = this.querySelector("#Radarscreen_V1_Range10_35");
		if (typeof Radarscreen_V1_Range10_35 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Range10_35.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_36 */
		var Radarscreen_V1_Element_36 = this.querySelector("#Radarscreen_V1_Element_36");
		if (typeof Radarscreen_V1_Element_36 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_36.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_37 */
		var Radarscreen_V1_Element_37 = this.querySelector("#Radarscreen_V1_Element_37");
		if (typeof Radarscreen_V1_Element_37 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_37.style.transform = transform; 

		}

		/* RADARSCREEN_V1_CONTROL_38 */
		var Radarscreen_V1_Control_38 = this.querySelector("#Radarscreen_V1_Control_38");
		if (typeof Radarscreen_V1_Control_38 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Control_38.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:Radar_Control,enum) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Control_38.style.transform = transform; 

		}

		/* RADARSCREEN_V1_CONTROL_BAR_39 */
		var Radarscreen_V1_Control_Bar_39 = this.querySelector("#Radarscreen_V1_Control_Bar_39");
		if (typeof Radarscreen_V1_Control_Bar_39 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Control_Bar_39.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_ZO_40 */
		var Radarscreen_V1_Button_ZO_40 = this.querySelector("#Radarscreen_V1_Button_ZO_40");
		if (typeof Radarscreen_V1_Button_ZO_40 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_ZO_40.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_41 */
		var Radarscreen_V1_GaugeText_41 = this.querySelector("#Radarscreen_V1_GaugeText_41");
		if (typeof Radarscreen_V1_GaugeText_41 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_41.innerHTML = "ZO";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_41.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_ZI_42 */
		var Radarscreen_V1_Button_ZI_42 = this.querySelector("#Radarscreen_V1_Button_ZI_42");
		if (typeof Radarscreen_V1_Button_ZI_42 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_ZI_42.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_43 */
		var Radarscreen_V1_GaugeText_43 = this.querySelector("#Radarscreen_V1_GaugeText_43");
		if (typeof Radarscreen_V1_GaugeText_43 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_43.innerHTML = "ZI";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_43.style.transform = transform; 

		}

		/* RADARSCREEN_V1_COMP_ON_44 */
		var Radarscreen_V1_COMP_ON_44 = this.querySelector("#Radarscreen_V1_COMP_ON_44");
		if (typeof Radarscreen_V1_COMP_ON_44 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_COMP_ON_44.style.transform = transform; 

		}

		/* RADARSCREEN_V1_COLOR_BLOCKS_45 */
		var Radarscreen_V1_Color_Blocks_45 = this.querySelector("#Radarscreen_V1_Color_Blocks_45");
		if (typeof Radarscreen_V1_Color_Blocks_45 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Color_Blocks_45.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerCompass) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Color_Blocks_45.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_46 */
		var Radarscreen_V1_Button_46 = this.querySelector("#Radarscreen_V1_Button_46");
		if (typeof Radarscreen_V1_Button_46 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_46.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_47 */
		var Radarscreen_V1_GaugeText_47 = this.querySelector("#Radarscreen_V1_GaugeText_47");
		if (typeof Radarscreen_V1_GaugeText_47 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_47.innerHTML = "COMP";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_47.style.transform = transform; 

		}

		/* RADARSCREEN_V1_COMP_OFF_48 */
		var Radarscreen_V1_COMP_OFF_48 = this.querySelector("#Radarscreen_V1_COMP_OFF_48");
		if (typeof Radarscreen_V1_COMP_OFF_48 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_COMP_OFF_48.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_49 */
		var Radarscreen_V1_Element_49 = this.querySelector("#Radarscreen_V1_Element_49");
		if (typeof Radarscreen_V1_Element_49 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_49.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerCompass) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_49.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_50 */
		var Radarscreen_V1_Button_50 = this.querySelector("#Radarscreen_V1_Button_50");
		if (typeof Radarscreen_V1_Button_50 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_50.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_51 */
		var Radarscreen_V1_GaugeText_51 = this.querySelector("#Radarscreen_V1_GaugeText_51");
		if (typeof Radarscreen_V1_GaugeText_51 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_51.innerHTML = "COMP";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_51.style.transform = transform; 

		}

		/* RADARSCREEN_V1_APT_ON_52 */
		var Radarscreen_V1_APT_ON_52 = this.querySelector("#Radarscreen_V1_APT_ON_52");
		if (typeof Radarscreen_V1_APT_ON_52 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_APT_ON_52.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_53 */
		var Radarscreen_V1_Button_53 = this.querySelector("#Radarscreen_V1_Button_53");
		if (typeof Radarscreen_V1_Button_53 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_53.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_54 */
		var Radarscreen_V1_Element_54 = this.querySelector("#Radarscreen_V1_Element_54");
		if (typeof Radarscreen_V1_Element_54 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_54.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerAirports) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_54.style.transform = transform; 

		}

		/* RADARSCREEN_V1_APT_55 */
		var Radarscreen_V1_APT_55 = this.querySelector("#Radarscreen_V1_APT_55");
		if (typeof Radarscreen_V1_APT_55 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_APT_55.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerAirports) 2 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_APT_55.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_56 */
		var Radarscreen_V1_GaugeText_56 = this.querySelector("#Radarscreen_V1_GaugeText_56");
		if (typeof Radarscreen_V1_GaugeText_56 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_56.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerAirports) 1 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_56.innerHTML = "APT " + ( 1 ).toString() + "{case}%{:1} 1%{:2} 2%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_56.style.transform = transform; 

		}

		/* RADARSCREEN_V1_APT_OFF_57 */
		var Radarscreen_V1_APT_OFF_57 = this.querySelector("#Radarscreen_V1_APT_OFF_57");
		if (typeof Radarscreen_V1_APT_OFF_57 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_APT_OFF_57.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_58 */
		var Radarscreen_V1_Button_58 = this.querySelector("#Radarscreen_V1_Button_58");
		if (typeof Radarscreen_V1_Button_58 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Button_58.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerAirports) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Button_58.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_59 */
		var Radarscreen_V1_Element_59 = this.querySelector("#Radarscreen_V1_Element_59");
		if (typeof Radarscreen_V1_Element_59 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_59.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_60 */
		var Radarscreen_V1_GaugeText_60 = this.querySelector("#Radarscreen_V1_GaugeText_60");
		if (typeof Radarscreen_V1_GaugeText_60 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_60.innerHTML = "APT " + ( 1 ).toString() + "{case}%{:1} 1%{:2} 2%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_60.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ILS_ON_61 */
		var Radarscreen_V1_ILS_ON_61 = this.querySelector("#Radarscreen_V1_ILS_ON_61");
		if (typeof Radarscreen_V1_ILS_ON_61 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_ILS_ON_61.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_62 */
		var Radarscreen_V1_Element_62 = this.querySelector("#Radarscreen_V1_Element_62");
		if (typeof Radarscreen_V1_Element_62 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_62.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerILSs) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_62.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_63 */
		var Radarscreen_V1_Button_63 = this.querySelector("#Radarscreen_V1_Button_63");
		if (typeof Radarscreen_V1_Button_63 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_63.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_64 */
		var Radarscreen_V1_GaugeText_64 = this.querySelector("#Radarscreen_V1_GaugeText_64");
		if (typeof Radarscreen_V1_GaugeText_64 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_64.innerHTML = "ILS";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_64.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ILS_OFF_65 */
		var Radarscreen_V1_ILS_OFF_65 = this.querySelector("#Radarscreen_V1_ILS_OFF_65");
		if (typeof Radarscreen_V1_ILS_OFF_65 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_ILS_OFF_65.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_66 */
		var Radarscreen_V1_Element_66 = this.querySelector("#Radarscreen_V1_Element_66");
		if (typeof Radarscreen_V1_Element_66 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_66.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerILSs) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_66.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_67 */
		var Radarscreen_V1_Button_67 = this.querySelector("#Radarscreen_V1_Button_67");
		if (typeof Radarscreen_V1_Button_67 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_67.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_68 */
		var Radarscreen_V1_GaugeText_68 = this.querySelector("#Radarscreen_V1_GaugeText_68");
		if (typeof Radarscreen_V1_GaugeText_68 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_68.innerHTML = "ILS";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_68.style.transform = transform; 

		}

		/* RADARSCREEN_V1_TAG_ON_69 */
		var Radarscreen_V1_TAG_ON_69 = this.querySelector("#Radarscreen_V1_TAG_ON_69");
		if (typeof Radarscreen_V1_TAG_ON_69 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_TAG_ON_69.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_70 */
		var Radarscreen_V1_Button_70 = this.querySelector("#Radarscreen_V1_Button_70");
		if (typeof Radarscreen_V1_Button_70 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_70.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_71 */
		var Radarscreen_V1_Element_71 = this.querySelector("#Radarscreen_V1_Element_71");
		if (typeof Radarscreen_V1_Element_71 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_71.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerTags) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_71.style.transform = transform; 

		}

		/* RADARSCREEN_V1_TAG_72 */
		var Radarscreen_V1_TAG_72 = this.querySelector("#Radarscreen_V1_TAG_72");
		if (typeof Radarscreen_V1_TAG_72 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_TAG_72.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerTags) 2 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_TAG_72.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_73 */
		var Radarscreen_V1_GaugeText_73 = this.querySelector("#Radarscreen_V1_GaugeText_73");
		if (typeof Radarscreen_V1_GaugeText_73 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GaugeText_73.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerTags) 1 ==" */ ? "block" : "none";

			Radarscreen_V1_GaugeText_73.innerHTML = "TAG " + ( 1 ).toString() + "{case}%{:1} 1%{:2} 2%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_73.style.transform = transform; 

		}

		/* RADARSCREEN_V1_TAG_OFF_74 */
		var Radarscreen_V1_TAG_OFF_74 = this.querySelector("#Radarscreen_V1_TAG_OFF_74");
		if (typeof Radarscreen_V1_TAG_OFF_74 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_TAG_OFF_74.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_75 */
		var Radarscreen_V1_Button_75 = this.querySelector("#Radarscreen_V1_Button_75");
		if (typeof Radarscreen_V1_Button_75 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Button_75.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:LayerTags) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Button_75.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_76 */
		var Radarscreen_V1_Element_76 = this.querySelector("#Radarscreen_V1_Element_76");
		if (typeof Radarscreen_V1_Element_76 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_76.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_77 */
		var Radarscreen_V1_GaugeText_77 = this.querySelector("#Radarscreen_V1_GaugeText_77");
		if (typeof Radarscreen_V1_GaugeText_77 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_77.innerHTML = "TAG " + ( 1 ).toString() + "{case}%{:1} 1%{:2} 2%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_77.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GND_ON_78 */
		var Radarscreen_V1_GND_ON_78 = this.querySelector("#Radarscreen_V1_GND_ON_78");
		if (typeof Radarscreen_V1_GND_ON_78 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_GND_ON_78.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_79 */
		var Radarscreen_V1_Button_79 = this.querySelector("#Radarscreen_V1_Button_79");
		if (typeof Radarscreen_V1_Button_79 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_79.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_80 */
		var Radarscreen_V1_Element_80 = this.querySelector("#Radarscreen_V1_Element_80");
		if (typeof Radarscreen_V1_Element_80 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_80.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 2 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_80.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GND_81 */
		var Radarscreen_V1_GND_81 = this.querySelector("#Radarscreen_V1_GND_81");
		if (typeof Radarscreen_V1_GND_81 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_GND_81.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 4 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_GND_81.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_82 */
		var Radarscreen_V1_GaugeText_82 = this.querySelector("#Radarscreen_V1_GaugeText_82");
		if (typeof Radarscreen_V1_GaugeText_82 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_82.innerHTML = ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 6 ==" */ ).toString() + "{if}ALL%{end} " + ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 4 ==" */ ).toString() + "{if}AIR%{end} " + ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 2 ==" */ ).toString() + "{if}GRND%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_82.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GND_OFF_83 */
		var Radarscreen_V1_GND_OFF_83 = this.querySelector("#Radarscreen_V1_GND_OFF_83");
		if (typeof Radarscreen_V1_GND_OFF_83 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_GND_OFF_83.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_84 */
		var Radarscreen_V1_Button_84 = this.querySelector("#Radarscreen_V1_Button_84");
		if (typeof Radarscreen_V1_Button_84 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_84.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_85 */
		var Radarscreen_V1_Element_85 = this.querySelector("#Radarscreen_V1_Element_85");
		if (typeof Radarscreen_V1_Element_85 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Element_85.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 0 == (L:VehicleObjectDetail) 6 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Element_85.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_86 */
		var Radarscreen_V1_GaugeText_86 = this.querySelector("#Radarscreen_V1_GaugeText_86");
		if (typeof Radarscreen_V1_GaugeText_86 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_86.innerHTML = ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 6 ==" */ ).toString() + "{if}ALL%{end} " + ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 4 ==" */ ).toString() + "{if}AIR%{end} " + ( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VehicleObjectDetail) 2 ==" */ ).toString() + "{if}GRND%{end}" ;

		  if (transform != '')
		    Radarscreen_V1_GaugeText_86.style.transform = transform; 

		}

		/* RADARSCREEN_V1_VELOCITY_ON_87 */
		var Radarscreen_V1_Velocity_ON_87 = this.querySelector("#Radarscreen_V1_Velocity_ON_87");
		if (typeof Radarscreen_V1_Velocity_ON_87 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Velocity_ON_87.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_88 */
		var Radarscreen_V1_Button_88 = this.querySelector("#Radarscreen_V1_Button_88");
		if (typeof Radarscreen_V1_Button_88 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Button_88.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VLC,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Button_88.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_89 */
		var Radarscreen_V1_Button_89 = this.querySelector("#Radarscreen_V1_Button_89");
		if (typeof Radarscreen_V1_Button_89 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Button_89.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_90 */
		var Radarscreen_V1_GaugeText_90 = this.querySelector("#Radarscreen_V1_GaugeText_90");
		if (typeof Radarscreen_V1_GaugeText_90 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_90.innerHTML = "VLC";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_90.style.transform = transform; 

		}

		/* RADARSCREEN_V1_VELOCITY_OFF_91 */
		var Radarscreen_V1_Velocity_OFF_91 = this.querySelector("#Radarscreen_V1_Velocity_OFF_91");
		if (typeof Radarscreen_V1_Velocity_OFF_91 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Velocity_OFF_91.style.transform = transform; 

		}

		/* RADARSCREEN_V1_BUTTON_92 */
		var Radarscreen_V1_Button_92 = this.querySelector("#Radarscreen_V1_Button_92");
		if (typeof Radarscreen_V1_Button_92 !== "undefined") {
		  var transform = '';

		  Radarscreen_V1_Button_92.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:VLC,enum) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    Radarscreen_V1_Button_92.style.transform = transform; 

		}

		/* RADARSCREEN_V1_ELEMENT_93 */
		var Radarscreen_V1_Element_93 = this.querySelector("#Radarscreen_V1_Element_93");
		if (typeof Radarscreen_V1_Element_93 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    Radarscreen_V1_Element_93.style.transform = transform; 

		}

		/* RADARSCREEN_V1_GAUGETEXT_94 */
		var Radarscreen_V1_GaugeText_94 = this.querySelector("#Radarscreen_V1_GaugeText_94");
		if (typeof Radarscreen_V1_GaugeText_94 !== "undefined") {
		  var transform = '';

			Radarscreen_V1_GaugeText_94.innerHTML = "VLC";

		  if (transform != '')
		    Radarscreen_V1_GaugeText_94.style.transform = transform; 

		}

    }
}
registerLivery("gauges_essai_d-element", gauges_essai_d);
