class gauges_mfd_g extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_mfd_g"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* PFD_PFD_0 */
		var pfd_PFD_0 = this.querySelector("#pfd_PFD_0");
		if (typeof pfd_PFD_0 !== "undefined") {
		  var transform = '';

		  pfd_PFD_0.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    pfd_PFD_0.style.transform = transform; 

		}

		/* PFD_PFD_BACKGROUND_1 */
		var pfd_pfd_background_1 = this.querySelector("#pfd_pfd_background_1");
		if (typeof pfd_pfd_background_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_background_1.style.transform = transform; 

		}

		/* PFD_PFD_FIXED_ROLL_SCALE_2 */
		var pfd_pfd_fixed_roll_scale_2 = this.querySelector("#pfd_pfd_fixed_roll_scale_2");
		if (typeof pfd_pfd_fixed_roll_scale_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_fixed_roll_scale_2.style.transform = transform; 

		}

		/* PFD_PFD_SKY_GROUND_STRIP_3 */
		var pfd_pfd_sky_ground_strip_3 = this.querySelector("#pfd_pfd_sky_ground_strip_3");
		if (typeof pfd_pfd_sky_ground_strip_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator pitch degrees,degrees)" */
			var Minimum = -90.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 90.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * -2.888) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_sky_ground_strip_3.style.transform = transform; 

		}

		/* PFD_PFD_SKY_GROUND_STRIP_CUTOFF_LINE_4 */
		var pfd_pfd_sky_ground_strip_cutoff_line_4 = this.querySelector("#pfd_pfd_sky_ground_strip_cutoff_line_4");
		if (typeof pfd_pfd_sky_ground_strip_cutoff_line_4 !== "undefined") {
		  var transform = '';

		  pfd_pfd_sky_ground_strip_cutoff_line_4.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "0" */ ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_sky_ground_strip_cutoff_line_4.style.transform = transform; 

		}

		/* PFD_PFD_SKY_GROUND_STRIP_CUTOFF_LINE_BOTTOM_5 */
		var pfd_pfd_sky_ground_strip_cutoff_line_bottom_5 = this.querySelector("#pfd_pfd_sky_ground_strip_cutoff_line_bottom_5");
		if (typeof pfd_pfd_sky_ground_strip_cutoff_line_bottom_5 !== "undefined") {
		  var transform = '';

		  pfd_pfd_sky_ground_strip_cutoff_line_bottom_5.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "0" */ ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_sky_ground_strip_cutoff_line_bottom_5.style.transform = transform; 

		}

		/* PFD_PFD_FIXED_PLANE_MARKER_6 */
		var pfd_pfd_fixed_plane_marker_6 = this.querySelector("#pfd_pfd_fixed_plane_marker_6");
		if (typeof pfd_pfd_fixed_plane_marker_6 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_fixed_plane_marker_6.style.transform = transform; 

		}

		/* PFD_FD_7 */
		var pfd_FD_7 = this.querySelector("#pfd_FD_7");
		if (typeof pfd_FD_7 !== "undefined") {
		  var transform = '';

		  pfd_FD_7.style.display = SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR ACTIVE", "boolean") ? "block" : "none";

		  if (transform != '')
		    pfd_FD_7.style.transform = transform; 

		}

		/* PFD_PFD_FLIGHT_DIRECTOR_PITCH_BAR_8 */
		var pfd_pfd_flight_director_pitch_bar_8 = this.querySelector("#pfd_pfd_flight_director_pitch_bar_8");
		if (typeof pfd_pfd_flight_director_pitch_bar_8 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR BANK", "degree") - SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Autopilot flight director pitch, degrees) (A:Attitude indicator pitch degrees:1, degrees) -" */
			var Minimum = -15.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 15.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 2.5) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_flight_director_pitch_bar_8.style.transform = transform; 

		}

		/* PFD_PFD_FLIGHT_DIRECTOR_YAW_BAR_9 */
		var pfd_pfd_flight_director_yaw_bar_9 = this.querySelector("#pfd_pfd_flight_director_yaw_bar_9");
		if (typeof pfd_pfd_flight_director_yaw_bar_9 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = (SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR BANK", "radians") - SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians")) * (-1); /* PARSED FROM "(A:Autopilot flight director bank, radians) (A:Attitude indicator bank degrees:1, radians) - /-/" */
			var Minimum = -20.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 20.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 2.7) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_flight_director_yaw_bar_9.style.transform = transform; 

		}

		/* PFD_PFD_SLIP_INDICATOR_10 */
		var pfd_pfd_slip_indicator_10 = this.querySelector("#pfd_pfd_slip_indicator_10");
		if (typeof pfd_pfd_slip_indicator_10 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator bank degrees:1, degrees)" */
			var Minimum = -360.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[-60.000, 321.115503566285],
				[-45.000, 331.011177478808],
				[-30.000, 341.565051177078],
				[0.000, 360],
				[30.000, 378.232491080704],
				[45.000, 388.988822521192],
				[60.000, 398.437301491063],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("Turn coordinator ball", "position"); /* PARSED FROM "(A:Turn coordinator ball,position)" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 8) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_slip_indicator_10.style.transform = transform; 

		}

		/* PFD_PFD_ROLL_INDICATOR_11 */
		var pfd_pfd_roll_indicator_11 = this.querySelector("#pfd_pfd_roll_indicator_11");
		if (typeof pfd_pfd_roll_indicator_11 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator bank degrees:1, degrees) " */
			var Minimum = -360.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			var NonlinearityTable = [
				[-60.000, 299.835539100262],
				[-45.000, 314.492970939085],
				[-30.000, 328.799485396019],
				[0.000, 360],
				[30.000, 391.200514603981],
				[45.000, 405],
				[60.000, 419.420773127511],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    pfd_pfd_roll_indicator_11.style.transform = transform; 

		}

		/* PFD_PFD_DECREASE_PITCH_ARROWS_12 */
		var pfd_pfd_decrease_pitch_arrows_12 = this.querySelector("#pfd_pfd_decrease_pitch_arrows_12");
		if (typeof pfd_pfd_decrease_pitch_arrows_12 !== "undefined") {
		  var transform = '';

		  pfd_pfd_decrease_pitch_arrows_12.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Attitude indicator pitch degrees,degrees) -30 <=" */ ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_decrease_pitch_arrows_12.style.transform = transform; 

		}

		/* PFD_PFD_INCREASE_PITCH_ARROWS_13 */
		var pfd_pfd_increase_pitch_arrows_13 = this.querySelector("#pfd_pfd_increase_pitch_arrows_13");
		if (typeof pfd_pfd_increase_pitch_arrows_13 !== "undefined") {
		  var transform = '';

		  pfd_pfd_increase_pitch_arrows_13.style.display = ( SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree") >= 30 ) ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_increase_pitch_arrows_13.style.transform = transform; 

		}

		/* PFD_PFD_ASI_STRIP_14 */
		var pfd_pfd_asi_strip_14 = this.querySelector("#pfd_pfd_asi_strip_14");
		if (typeof pfd_pfd_asi_strip_14 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = Math.min( Math.max( SimVar.GetSimVarValue("AIRSPEED TRUE", "knots"), 0 ), 400 ); /* PARSED FROM "(A:Airspeed select indicated or true, knots) 0 max 400 min" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 500.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 1.742) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_asi_strip_14.style.transform = transform; 

		}

		/* PFD_PFD_ASI_STRIP_BORDER_15 */
		var pfd_pfd_asi_strip_border_15 = this.querySelector("#pfd_pfd_asi_strip_border_15");
		if (typeof pfd_pfd_asi_strip_border_15 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_asi_strip_border_15.style.transform = transform; 

		}

		/* PFD_PFD_ASI_POINTER_16 */
		var pfd_pfd_asi_pointer_16 = this.querySelector("#pfd_pfd_asi_pointer_16");
		if (typeof pfd_pfd_asi_pointer_16 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_asi_pointer_16.style.transform = transform; 

		}

		/* PFD_PFD_ASI_SPEED_BUG_17 */
		var pfd_pfd_asi_speed_bug_17 = this.querySelector("#pfd_pfd_asi_speed_bug_17");
		if (typeof pfd_pfd_asi_speed_bug_17 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("AIRSPEED TRUE", "knots") - SimVar.GetSimVarValue("Autopilot airspeed hold var", "knots"); /* PARSED FROM "(A:Airspeed select indicated or true, knots) (A:Autopilot airspeed hold var, knots) -" */
			var Minimum = -43.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 43.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 1.75) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_asi_speed_bug_17.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_STRIP_18 */
		var pfd_pfd_altimeter_strip_18 = this.querySelector("#pfd_pfd_altimeter_strip_18");
		if (typeof pfd_pfd_altimeter_strip_18 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = Math.max( Math.min( ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ) / 100, 500 ), 0 ); /* PARSED FROM "(P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) } els{ (A:Indicated Altitude:1, feet) } 100 / 500 min 0 max" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 500.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 13.016) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_strip_18.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_GROUND_REFERENCE_STRIP_19 */
		var pfd_pfd_altimeter_ground_reference_strip_19 = this.querySelector("#pfd_pfd_altimeter_ground_reference_strip_19");
		if (typeof pfd_pfd_altimeter_ground_reference_strip_19 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("RADIO HEIGHT", "feet"); /* PARSED FROM "(A:Radio Height,feet)" */
			var Minimum = 0.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 400.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 0.2) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_ground_reference_strip_19.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_WINDOW_20 */
		var pfd_pfd_altimeter_detail_window_20 = this.querySelector("#pfd_pfd_altimeter_detail_window_20");
		if (typeof pfd_pfd_altimeter_detail_window_20 !== "undefined") {
		  var transform = '';

		  pfd_pfd_altimeter_detail_window_20.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_altimeter_detail_window_20.style.transform = transform; 

		}

		/* PFD_NEGATIVE_ALT_MINUS_SIGN_21 */
		var pfd_Negative_ALT_Minus_Sign_21 = this.querySelector("#pfd_Negative_ALT_Minus_Sign_21");
		if (typeof pfd_Negative_ALT_Minus_Sign_21 !== "undefined") {
		  var transform = '';

		  pfd_Negative_ALT_Minus_Sign_21.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Indicated Altitude:1, feet) 0 <" */ ? "block" : "none";

			pfd_Negative_ALT_Minus_Sign_21.innerHTML = "-";

		  if (transform != '')
		    pfd_Negative_ALT_Minus_Sign_21.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_TEN_THOUSANDS_STRIP_22 */
		var pfd_pfd_altimeter_detail_ten_thousands_strip_22 = this.querySelector("#pfd_pfd_altimeter_detail_ten_thousands_strip_22");
		if (typeof pfd_pfd_altimeter_detail_ten_thousands_strip_22 !== "undefined") {
		  var transform = '';

		  pfd_pfd_altimeter_detail_ten_thousands_strip_22.style.display = ( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") >= 0 ) ? "block" : "none";

		  {
			var ExpressionResult = Math.floor(( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ) / 10000); /* PARSED FROM " (P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) } els{ (A:Indicated Altitude:1, feet) } 10000 / int " */
			var Minimum = -10.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 10.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 12.9) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_detail_ten_thousands_strip_22.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_THOUSANDS_STRIP_23 */
		var pfd_pfd_altimeter_detail_thousands_strip_23 = this.querySelector("#pfd_pfd_altimeter_detail_thousands_strip_23");
		if (typeof pfd_pfd_altimeter_detail_thousands_strip_23 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = Math.floor(( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ) % 10000 / 1000); /* PARSED FROM " (P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) } els{ (A:Indicated Altitude:1, feet) } 10000 % 1000 / int " */
			var Minimum = -10.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 10.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 12.9) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_detail_thousands_strip_23.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_HUNDREDS_STRIP_24 */
		var pfd_pfd_altimeter_detail_hundreds_strip_24 = this.querySelector("#pfd_pfd_altimeter_detail_hundreds_strip_24");
		if (typeof pfd_pfd_altimeter_detail_hundreds_strip_24 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = Math.floor(( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ) % 1000 / 100); /* PARSED FROM " (P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) } els{ (A:Indicated Altitude:1, feet) } 1000 % 100 / int " */
			var Minimum = -10.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 10.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 12.9) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_detail_hundreds_strip_24.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_TENS_STRIP_25 */
		var pfd_pfd_altimeter_detail_tens_strip_25 = this.querySelector("#pfd_pfd_altimeter_detail_tens_strip_25");
		if (typeof pfd_pfd_altimeter_detail_tens_strip_25 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ) % 100; /* PARSED FROM " (P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) } els{ (A:Indicated Altitude:1, feet) } 100 % " */
			var Minimum = -100.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 100.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 0.73) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_detail_tens_strip_25.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_BUG_26 */
		var pfd_pfd_altimeter_bug_26 = this.querySelector("#pfd_pfd_altimeter_bug_26");
		if (typeof pfd_pfd_altimeter_bug_26 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("INDICATED ALTITUDE", "meters") - SimVar.GetSimVarValue("Autopilot altitude lock var", "meters") :  SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") - SimVar.GetSimVarValue("Autopilot altitude lock var", "feet") ); /* PARSED FROM "(P:Units of measure, enum) 2 == if{ (A:Indicated Altitude:1, meters) (A:Autopilot altitude lock var, meters) - } els{ (A:Indicated Altitude:1, feet) (A:Autopilot altitude lock var, feet) - }" */
			var Minimum = -370.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 400.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 0.2) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_altimeter_bug_26.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_STRIP_BORDER_27 */
		var pfd_pfd_altimeter_strip_border_27 = this.querySelector("#pfd_pfd_altimeter_strip_border_27");
		if (typeof pfd_pfd_altimeter_strip_border_27 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_altimeter_strip_border_27.style.transform = transform; 

		}

		/* PFD_PFD_ALTIMETER_DETAIL_WINDOW_COPY_28 */
		var pfd_pfd_altimeter_detail_window_copy_28 = this.querySelector("#pfd_pfd_altimeter_detail_window_copy_28");
		if (typeof pfd_pfd_altimeter_detail_window_copy_28 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_altimeter_detail_window_copy_28.style.transform = transform; 

		}

		/* PFD_PFD_VSI_SCALE_29 */
		var pfd_pfd_vsi_scale_29 = this.querySelector("#pfd_pfd_vsi_scale_29");
		if (typeof pfd_pfd_vsi_scale_29 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_vsi_scale_29.style.transform = transform; 

		}

		/* PFD_PFD_VSI_NEEDLE_30 */
		var pfd_pfd_vsi_needle_30 = this.querySelector("#pfd_pfd_vsi_needle_30");
		if (typeof pfd_pfd_vsi_needle_30 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("VERTICAL SPEED", "feet per minute"); /* PARSED FROM "(A:Vertical speed, feet per minute)" */
			var Minimum = -3000.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 3000.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 90;
			var NonlinearityTable = [
				[-3000.000, 285.028505067927],
				[-2500.000, 285.028505067927],
				[-2000.000, 285.028505067927],
				[-1000.000, 285.028505067927],
				[0.000, 285.028505067927],
				[1000.000, 285.028505067927],
				[2000.000, 285.028505067927],
				[2500.000, 285.028505067927],
				[3000.000, 285.028505067927],
			];

			if (NonlinearityTable.length > 0) {
			    Minimum = NonlinearityTable[0][0];
			    ExpressionResult = Math.max(ExpressionResult, Minimum);
			    Maximum = NonlinearityTable[NonlinearityTable.length-1][0];
			    ExpressionResult = Math.min(ExpressionResult, Maximum);
				var prevAngle = 0;
				var result = 0;
				var prevVal = Minimum;
				for (var i = 0; i < NonlinearityTable.length; i++) {
					var NonlinearityEntry = NonlinearityTable[i][0];
					var NonlinearityAngle = NonlinearityTable[i][1];
					if (NonlinearityAngle < 0) { NonlinearityAngle += 360 };
					if (ExpressionResult == NonlinearityEntry || prevAngle == NonlinearityAngle && ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry) {
						result = NonlinearityAngle;
						break;
					}
					else if (ExpressionResult > prevVal && ExpressionResult < NonlinearityEntry ) {
						var coef = 1 - (NonlinearityEntry - ExpressionResult) / (NonlinearityEntry - prevVal);

						result = prevAngle + coef * (NonlinearityAngle - prevAngle);
						break;
					}
					prevVal = NonlinearityEntry;
					prevAngle = NonlinearityAngle;
				}

				if (Minimum >= 0)
					while (result < 0)
						result += 360;

				transform += 'rotate(' + (result + PointsTo) + 'deg) ';
			}

		  }
		  if (transform != '')
		    pfd_pfd_vsi_needle_30.style.transform = transform; 

		}

		/* PFD_PFD_COMPASS_STRIP_BORDER_31 */
		var pfd_pfd_compass_strip_border_31 = this.querySelector("#pfd_pfd_compass_strip_border_31");
		if (typeof pfd_pfd_compass_strip_border_31 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_compass_strip_border_31.style.transform = transform; 

		}

		/* PFD_PFD_COMPASS_STRIP_32 */
		var pfd_pfd_compass_strip_32 = this.querySelector("#pfd_pfd_compass_strip_32");
		if (typeof pfd_pfd_compass_strip_32 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") * 2.46944 + 74; /* PARSED FROM "(A:Plane heading degrees gyro,degrees) 2.46944 * 74 +" */
			var Minimum = 0;
			var Maximum = 999999999;
			transform += 'translate(' + (ExpressionResult * -1) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_compass_strip_32.style.transform = transform; 

		}

		/* PFD_PFD_COMPASS_POINTER_33 */
		var pfd_pfd_compass_pointer_33 = this.querySelector("#pfd_pfd_compass_pointer_33");
		if (typeof pfd_pfd_compass_pointer_33 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_compass_pointer_33.style.transform = transform; 

		}

		/* PFD_ILS_ELEMENTS_34 */
		var pfd_ILS_Elements_34 = this.querySelector("#pfd_ILS_Elements_34");
		if (typeof pfd_ILS_Elements_34 !== "undefined") {
		  var transform = '';

		  pfd_ILS_Elements_34.style.display = 1 ? "block" : "none";

		  if (transform != '')
		    pfd_ILS_Elements_34.style.transform = transform; 

		}

		/* PFD_PFD_LOCALIZER_GLIDESLOPE_SCALE_35 */
		var pfd_pfd_localizer_glideslope_scale_35 = this.querySelector("#pfd_pfd_localizer_glideslope_scale_35");
		if (typeof pfd_pfd_localizer_glideslope_scale_35 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    pfd_pfd_localizer_glideslope_scale_35.style.transform = transform; 

		}

		/* PFD_PFD_LOCALIZER_POINTER_36 */
		var pfd_pfd_localizer_pointer_36 = this.querySelector("#pfd_pfd_localizer_pointer_36");
		if (typeof pfd_pfd_localizer_pointer_36 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI CDI needle", "number") / 127; /* PARSED FROM "(A:HSI CDI needle, number) 127 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 35) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_localizer_pointer_36.style.transform = transform; 

		}

		/* PFD_PFD_GLIDESLOPE_POINTER_37 */
		var pfd_pfd_glideslope_pointer_37 = this.querySelector("#pfd_pfd_glideslope_pointer_37");
		if (typeof pfd_pfd_glideslope_pointer_37 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI GSI needle", "number") / 120; /* PARSED FROM "(A:HSI GSI needle, number) 120 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 36) + 'px) ';
		  }
		  if (transform != '')
		    pfd_pfd_glideslope_pointer_37.style.transform = transform; 

		}

		/* PFD_FMA_38 */
		var pfd_FMA_38 = this.querySelector("#pfd_FMA_38");
		if (typeof pfd_FMA_38 !== "undefined") {
		  var transform = '';

		  pfd_FMA_38.style.display = SimVar.GetSimVarValue("Autopilot airspeed hold", "boolean") ? "block" : "none";

			pfd_FMA_38.innerHTML = "SPEED";

		  if (transform != '')
		    pfd_FMA_38.style.transform = transform; 

		}

		/* PFD_FMA_39 */
		var pfd_FMA_39 = this.querySelector("#pfd_FMA_39");
		if (typeof pfd_FMA_39 !== "undefined") {
		  var transform = '';

		  pfd_FMA_39.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Autopilot takeoff power active, bool) (A:fly by wire alpha protection, bool) ! and " */ ? "block" : "none";

			pfd_FMA_39.innerHTML = "MAN";

		  if (transform != '')
		    pfd_FMA_39.style.transform = transform; 

		}

		/* PFD_FMA_40 */
		var pfd_FMA_40 = this.querySelector("#pfd_FMA_40");
		if (typeof pfd_FMA_40 !== "undefined") {
		  var transform = '';

		  pfd_FMA_40.style.display = SimVar.GetSimVarValue("Autopilot takeoff power active", "boolean") ? "block" : "none";

			pfd_FMA_40.innerHTML = "TOGA";

		  if (transform != '')
		    pfd_FMA_40.style.transform = transform; 

		}

		/* PFD_FMA_41 */
		var pfd_FMA_41 = this.querySelector("#pfd_FMA_41");
		if (typeof pfd_FMA_41 !== "undefined") {
		  var transform = '';

		  pfd_FMA_41.style.display = SimVar.GetSimVarValue("fly by wire alpha protection", "boolean") ? "block" : "none";

			pfd_FMA_41.innerHTML = "A.FLOOR";

		  if (transform != '')
		    pfd_FMA_41.style.transform = transform; 

		}

		/* PFD_FMA_42 */
		var pfd_FMA_42 = this.querySelector("#pfd_FMA_42");
		if (typeof pfd_FMA_42 !== "undefined") {
		  var transform = '';

		  pfd_FMA_42.style.display = SimVar.GetSimVarValue("Autopilot altitude lock", "boolean") ? "block" : "none";

			pfd_FMA_42.innerHTML = "ALT";

		  if (transform != '')
		    pfd_FMA_42.style.transform = transform; 

		}

		/* PFD_FMA_43 */
		var pfd_FMA_43 = this.querySelector("#pfd_FMA_43");
		if (typeof pfd_FMA_43 !== "undefined") {
		  var transform = '';

		  pfd_FMA_43.style.display = SimVar.GetSimVarValue("Autopilot Glideslope Hold", "boolean") ? "block" : "none";

			pfd_FMA_43.innerHTML = "G/S";

		  if (transform != '')
		    pfd_FMA_43.style.transform = transform; 

		}

		/* PFD_FMA_44 */
		var pfd_FMA_44 = this.querySelector("#pfd_FMA_44");
		if (typeof pfd_FMA_44 !== "undefined") {
		  var transform = '';

		  pfd_FMA_44.style.display = SimVar.GetSimVarValue("Autopilot heading lock", "boolean") ? "block" : "none";

			pfd_FMA_44.innerHTML = "HDG";

		  if (transform != '')
		    pfd_FMA_44.style.transform = transform; 

		}

		/* PFD_FMA_45 */
		var pfd_FMA_45 = this.querySelector("#pfd_FMA_45");
		if (typeof pfd_FMA_45 !== "undefined") {
		  var transform = '';

		  pfd_FMA_45.style.display = SimVar.GetSimVarValue("Autopilot nav1 lock", "boolean") ? "block" : "none";

			pfd_FMA_45.innerHTML = "LOC";

		  if (transform != '')
		    pfd_FMA_45.style.transform = transform; 

		}

		/* PFD_FMA_46 */
		var pfd_FMA_46 = this.querySelector("#pfd_FMA_46");
		if (typeof pfd_FMA_46 !== "undefined") {
		  var transform = '';

		  pfd_FMA_46.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "0" */ ? "block" : "none";

			pfd_FMA_46.innerHTML = "TRK";

		  if (transform != '')
		    pfd_FMA_46.style.transform = transform; 

		}

		/* PFD_AP1_ACTIVE_47 */
		var pfd_AP1_Active_47 = this.querySelector("#pfd_AP1_Active_47");
		if (typeof pfd_AP1_Active_47 !== "undefined") {
		  var transform = '';

		  pfd_AP1_Active_47.style.display = SimVar.GetSimVarValue("Autopilot master", "boolean") ? "block" : "none";

			pfd_AP1_Active_47.innerHTML = "AP1";

		  if (transform != '')
		    pfd_AP1_Active_47.style.transform = transform; 

		}

		/* PFD_1FD2_48 */
		var pfd_1FD2_48 = this.querySelector("#pfd_1FD2_48");
		if (typeof pfd_1FD2_48 !== "undefined") {
		  var transform = '';

		  pfd_1FD2_48.style.display = SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR ACTIVE", "boolean") ? "block" : "none";

			pfd_1FD2_48.innerHTML = "1FD2";

		  if (transform != '')
		    pfd_1FD2_48.style.transform = transform; 

		}

		/* PFD_ATHR_49 */
		var pfd_ATHR_49 = this.querySelector("#pfd_ATHR_49");
		if (typeof pfd_ATHR_49 !== "undefined") {
		  var transform = '';

		  pfd_ATHR_49.style.display = SimVar.GetSimVarValue("AUTOPILOT THROTTLE ARM", "boolean") ? "block" : "none";

			pfd_ATHR_49.innerHTML = "A/THR";

		  if (transform != '')
		    pfd_ATHR_49.style.transform = transform; 

		}

		/* PFD_NAV_READOUT_50 */
		var pfd_NAV_Readout_50 = this.querySelector("#pfd_NAV_Readout_50");
		if (typeof pfd_NAV_Readout_50 !== "undefined") {
		  var transform = '';

			pfd_NAV_Readout_50.innerHTML = ( SimVar.GetSimVarValue("GPS DRIVES NAV1", "boolean") ).toString() + "{if}GPS%{else}" + ( SimVar.GetSimVarValue("NAV IDENT:1", "string") ).toString() + "{end}" ;

		  if (transform != '')
		    pfd_NAV_Readout_50.style.transform = transform; 

		}

		/* PFD_NAV_READOUT_51 */
		var pfd_NAV_Readout_51 = this.querySelector("#pfd_NAV_Readout_51");
		if (typeof pfd_NAV_Readout_51 !== "undefined") {
		  var transform = '';

			pfd_NAV_Readout_51.innerHTML = Math.round( SimVar.GetSimVarValue("NAV OBS:1", "degrees") ).toString() + "°" ;

		  if (transform != '')
		    pfd_NAV_Readout_51.style.transform = transform; 

		}

		/* PFD_RAD_ALT_READOUT_52 */
		var pfd_RAD_ALT_Readout_52 = this.querySelector("#pfd_RAD_ALT_Readout_52");
		if (typeof pfd_RAD_ALT_Readout_52 !== "undefined") {
		  var transform = '';

		  pfd_RAD_ALT_Readout_52.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Radio Height,feet) 2500 <=" */ ? "block" : "none";

			pfd_RAD_ALT_Readout_52.innerHTML = Math.round( SimVar.GetSimVarValue("RADIO HEIGHT", "feet") ).toString() ;

		  if (transform != '')
		    pfd_RAD_ALT_Readout_52.style.transform = transform; 

		}

		/* PFD_AP_ALT_HOLD_53 */
		var pfd_AP_Alt_Hold_53 = this.querySelector("#pfd_AP_Alt_Hold_53");
		if (typeof pfd_AP_Alt_Hold_53 !== "undefined") {
		  var transform = '';

			pfd_AP_Alt_Hold_53.innerHTML = Math.round( Math.max( Math.min( ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("Autopilot altitude lock var", "meters") :  SimVar.GetSimVarValue("Autopilot altitude lock var", "feet") ), 99999 ), 0 ) ).toString() ;

		  if (transform != '')
		    pfd_AP_Alt_Hold_53.style.transform = transform; 

		}

		/* PFD_BARO_IN_54 */
		var pfd_Baro_IN_54 = this.querySelector("#pfd_Baro_IN_54");
		if (typeof pfd_Baro_IN_54 !== "undefined") {
		  var transform = '';

		  pfd_Baro_IN_54.style.display = ( Math.round(SimVar.GetSimVarValue("KOHLSMAN SETTING HG:1", "inches of mercury") * 100) != 2992 ) ? "block" : "none";

			pfd_Baro_IN_54.innerHTML = ( 1 ).toString() + "{case}%{:0}" + ( SimVar.GetSimVarValue("KOHLSMAN SETTING HG:1", "inches of mercury") ).toFixed(2).toString() + "{else}" + ( SimVar.GetSimVarValue("KOHLSMAN SETTING HG:1", "Millibars") ).toFixed(1).toString() + "{end}" ;

		  if (transform != '')
		    pfd_Baro_IN_54.style.transform = transform; 

		}

		/* PFD_PFD_TEXT_STD_55 */
		var pfd_pfd_text_std_55 = this.querySelector("#pfd_pfd_text_std_55");
		if (typeof pfd_pfd_text_std_55 !== "undefined") {
		  var transform = '';

		  pfd_pfd_text_std_55.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Kohlsman setting hg:1,inHg) 100 * near 2992 ==" */ ? "block" : "none";

		  if (transform != '')
		    pfd_pfd_text_std_55.style.transform = transform; 

		}

		/* PFD_BARO_IN_56 */
		var pfd_Baro_IN_56 = this.querySelector("#pfd_Baro_IN_56");
		if (typeof pfd_Baro_IN_56 !== "undefined") {
		  var transform = '';

		  pfd_Baro_IN_56.style.display = ( SimVar.GetSimVarValue("AIRSPEED TRUE", "mach") > 0.5 ) ? "block" : "none";

			pfd_Baro_IN_56.innerHTML = ( SimVar.GetSimVarValue("AIRSPEED TRUE", "mach") ).toFixed(2).toString() ;

		  if (transform != '')
		    pfd_Baro_IN_56.style.transform = transform; 

		}

		/* PFD_BARO_IN_57 */
		var pfd_Baro_IN_57 = this.querySelector("#pfd_Baro_IN_57");
		if (typeof pfd_Baro_IN_57 !== "undefined") {
		  var transform = '';

		  pfd_Baro_IN_57.style.display = SimVar.GetSimVarValue("Outer Marker", "boolean") ? "block" : "none";

			pfd_Baro_IN_57.innerHTML = "OM";

		  if (transform != '')
		    pfd_Baro_IN_57.style.transform = transform; 

		}

		/* PFD_BARO_IN_58 */
		var pfd_Baro_IN_58 = this.querySelector("#pfd_Baro_IN_58");
		if (typeof pfd_Baro_IN_58 !== "undefined") {
		  var transform = '';

		  pfd_Baro_IN_58.style.display = SimVar.GetSimVarValue("Inner Marker", "boolean") ? "block" : "none";

			pfd_Baro_IN_58.innerHTML = "IM";

		  if (transform != '')
		    pfd_Baro_IN_58.style.transform = transform; 

		}

		/* PFD_BARO_IN_59 */
		var pfd_Baro_IN_59 = this.querySelector("#pfd_Baro_IN_59");
		if (typeof pfd_Baro_IN_59 !== "undefined") {
		  var transform = '';

		  pfd_Baro_IN_59.style.display = SimVar.GetSimVarValue("Middle Marker", "boolean") ? "block" : "none";

			pfd_Baro_IN_59.innerHTML = "MM";

		  if (transform != '')
		    pfd_Baro_IN_59.style.transform = transform; 

		}

    }
}
registerLivery("gauges_mfd_g-element", gauges_mfd_g);
