class gauges_p_a extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_p_a"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* AUTOPILOT_SPD_MACH_0 */
		var autopilot_SPD_MACH_0 = this.querySelector("#autopilot_SPD_MACH_0");
		if (typeof autopilot_SPD_MACH_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_SPD_MACH_0.style.transform = transform; 

		}

		/* AUTOPILOT_IAS_MACH_READOUT_1 */
		var autopilot_IAS_MACH_Readout_1 = this.querySelector("#autopilot_IAS_MACH_Readout_1");
		if (typeof autopilot_IAS_MACH_Readout_1 !== "undefined") {
		  var transform = '';

		  autopilot_IAS_MACH_Readout_1.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(G:Var6,number) 0 == (A:CIRCUIT GENERAL PANEL ON, bool) &&" */ ? "block" : "none";

			autopilot_IAS_MACH_Readout_1.innerHTML = Math.round( SimVar.GetSimVarValue("Autopilot airspeed hold var", "knots") ).toString() ;

		  if (transform != '')
		    autopilot_IAS_MACH_Readout_1.style.transform = transform; 

		}

		/* AUTOPILOT_IAS_MACH_READOUT_2 */
		var autopilot_IAS_MACH_Readout_2 = this.querySelector("#autopilot_IAS_MACH_Readout_2");
		if (typeof autopilot_IAS_MACH_Readout_2 !== "undefined") {
		  var transform = '';

		  autopilot_IAS_MACH_Readout_2.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(G:Var6,number) 1 == (A:CIRCUIT GENERAL PANEL ON, bool) &&" */ ? "block" : "none";

			autopilot_IAS_MACH_Readout_2.innerHTML = ( SimVar.GetSimVarValue("Autopilot mach hold var", "mach") ).toFixed(2).toString() ;

		  if (transform != '')
		    autopilot_IAS_MACH_Readout_2.style.transform = transform; 

		}

		/* AUTOPILOT_HDG_READOUT_3 */
		var autopilot_HDG_Readout_3 = this.querySelector("#autopilot_HDG_Readout_3");
		if (typeof autopilot_HDG_Readout_3 !== "undefined") {
		  var transform = '';

		  autopilot_HDG_Readout_3.style.display = 1 ? "block" : "none";

			autopilot_HDG_Readout_3.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Autopilot heading lock dir,degrees) near 360 % d 0 == if{ 360 }" */ ).toString() ;

		  if (transform != '')
		    autopilot_HDG_Readout_3.style.transform = transform; 

		}

		/* AUTOPILOT_CRS_READOUT_4 */
		var autopilot_CRS_Readout_4 = this.querySelector("#autopilot_CRS_Readout_4");
		if (typeof autopilot_CRS_Readout_4 !== "undefined") {
		  var transform = '';

		  autopilot_CRS_Readout_4.style.display = 1 ? "block" : "none";

			autopilot_CRS_Readout_4.innerHTML = Math.round( var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:NAV1 OBS,degrees) near 360 % d 0 == if{ 360 }" */ ).toString() ;

		  if (transform != '')
		    autopilot_CRS_Readout_4.style.transform = transform; 

		}

		/* AUTOPILOT_ALT_READOUT_5 */
		var autopilot_ALT_Readout_5 = this.querySelector("#autopilot_ALT_Readout_5");
		if (typeof autopilot_ALT_Readout_5 !== "undefined") {
		  var transform = '';

		  autopilot_ALT_Readout_5.style.display = 1 ? "block" : "none";

			autopilot_ALT_Readout_5.innerHTML = Math.round( Math.max( Math.min( ( ( 1 == 2 ) ?  SimVar.GetSimVarValue("Autopilot altitude lock var", "meters") :  SimVar.GetSimVarValue("Autopilot altitude lock var", "feet") ), 99999 ), 0 ) ).toString() ;

		  if (transform != '')
		    autopilot_ALT_Readout_5.style.transform = transform; 

		}

		/* AUTOPILOT_VS_READOUT_READOUT_6 */
		var autopilot_VS_Readout_Readout_6 = this.querySelector("#autopilot_VS_Readout_Readout_6");
		if (typeof autopilot_VS_Readout_Readout_6 !== "undefined") {
		  var transform = '';

		  autopilot_VS_Readout_Readout_6.style.display = 1 ? "block" : "none";

			autopilot_VS_Readout_Readout_6.innerHTML = Math.round( SimVar.GetSimVarValue("AUTOPILOT VERTICAL HOLD VAR", "feet per minute") ).toString() ;

		  if (transform != '')
		    autopilot_VS_Readout_Readout_6.style.transform = transform; 

		}

		/* AUTOPILOT_APR_7 */
		var autopilot_APR_7 = this.querySelector("#autopilot_APR_7");
		if (typeof autopilot_APR_7 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_APR_7.style.transform = transform; 

		}

		/* AUTOPILOT_LOC_8 */
		var autopilot_LOC_8 = this.querySelector("#autopilot_LOC_8");
		if (typeof autopilot_LOC_8 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_LOC_8.style.transform = transform; 

		}

		/* AUTOPILOT_AP_9 */
		var autopilot_AP_9 = this.querySelector("#autopilot_AP_9");
		if (typeof autopilot_AP_9 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_AP_9.style.transform = transform; 

		}

		/* AUTOPILOT_ATHR_10 */
		var autopilot_ATHR_10 = this.querySelector("#autopilot_ATHR_10");
		if (typeof autopilot_ATHR_10 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_ATHR_10.style.transform = transform; 

		}

		/* AUTOPILOT_SPEED_KNOB_11 */
		var autopilot_Speed_Knob_11 = this.querySelector("#autopilot_Speed_Knob_11");
		if (typeof autopilot_Speed_Knob_11 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_Speed_Knob_11.style.transform = transform; 

		}

		/* AUTOPILOT_HDG_KNOB_12 */
		var autopilot_HDG_Knob_12 = this.querySelector("#autopilot_HDG_Knob_12");
		if (typeof autopilot_HDG_Knob_12 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_HDG_Knob_12.style.transform = transform; 

		}

		/* AUTOPILOT_CRS_KNOB_13 */
		var autopilot_CRS_Knob_13 = this.querySelector("#autopilot_CRS_Knob_13");
		if (typeof autopilot_CRS_Knob_13 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_CRS_Knob_13.style.transform = transform; 

		}

		/* AUTOPILOT_ALTITUDE_OUTER_CONCENTRIC_KNOB_14 */
		var autopilot_Altitude_Outer_Concentric_Knob_14 = this.querySelector("#autopilot_Altitude_Outer_Concentric_Knob_14");
		if (typeof autopilot_Altitude_Outer_Concentric_Knob_14 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_Altitude_Outer_Concentric_Knob_14.style.transform = transform; 

		}

		/* AUTOPILOT_VERTICAL_SPEED_KNOB_15 */
		var autopilot_Vertical_Speed_Knob_15 = this.querySelector("#autopilot_Vertical_Speed_Knob_15");
		if (typeof autopilot_Vertical_Speed_Knob_15 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_Vertical_Speed_Knob_15.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_SPD_16 */
		var autopilot_autopilot_text_spd_16 = this.querySelector("#autopilot_autopilot_text_spd_16");
		if (typeof autopilot_autopilot_text_spd_16 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_spd_16.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_HDG_1_17 */
		var autopilot_autopilot_text_hdg_1_17 = this.querySelector("#autopilot_autopilot_text_hdg_1_17");
		if (typeof autopilot_autopilot_text_hdg_1_17 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_hdg_1_17.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_CRS_18 */
		var autopilot_autopilot_text_crs_18 = this.querySelector("#autopilot_autopilot_text_crs_18");
		if (typeof autopilot_autopilot_text_crs_18 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_crs_18.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_VS_2_19 */
		var autopilot_autopilot_text_vs_2_19 = this.querySelector("#autopilot_autopilot_text_vs_2_19");
		if (typeof autopilot_autopilot_text_vs_2_19 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_vs_2_19.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_ALT_20 */
		var autopilot_autopilot_text_alt_20 = this.querySelector("#autopilot_autopilot_text_alt_20");
		if (typeof autopilot_autopilot_text_alt_20 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_alt_20.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_LVL_CH_21 */
		var autopilot_autopilot_text_lvl_ch_21 = this.querySelector("#autopilot_autopilot_text_lvl_ch_21");
		if (typeof autopilot_autopilot_text_lvl_ch_21 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_lvl_ch_21.style.transform = transform; 

		}

		/* AUTOPILOT_AUTOPILOT_TEXT_VS_2_22 */
		var autopilot_autopilot_text_vs_2_22 = this.querySelector("#autopilot_autopilot_text_vs_2_22");
		if (typeof autopilot_autopilot_text_vs_2_22 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    autopilot_autopilot_text_vs_2_22.style.transform = transform; 

		}

    }
}
registerLivery("gauges_p_a-element", gauges_p_a);
