class gauges_r_hud extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_r_hud"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* HUD_PFD_BACKGROUND_0 */
		var HUD_pfd_background_0 = this.querySelector("#HUD_pfd_background_0");
		if (typeof HUD_pfd_background_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_background_0.style.transform = transform; 

		}

		/* HUD_PFD_1 */
		var HUD_PFD_1 = this.querySelector("#HUD_PFD_1");
		if (typeof HUD_PFD_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_PFD_1.style.transform = transform; 

		}

		/* HUD_ATT_2 */
		var HUD_ATT_2 = this.querySelector("#HUD_ATT_2");
		if (typeof HUD_ATT_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_ATT_2.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_SKY_GROUND_STRIP_3 */
		var HUD_pfd_attitude_sky_ground_strip_3 = this.querySelector("#HUD_pfd_attitude_sky_ground_strip_3");
		if (typeof HUD_pfd_attitude_sky_ground_strip_3 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator pitch degrees,degrees) " */
			var Minimum = -90.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 90.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * -2.77) + 'px) ';
		  }
		  if (transform != '')
		    HUD_pfd_attitude_sky_ground_strip_3.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_LADDER_4 */
		var HUD_pfd_attitude_ladder_4 = this.querySelector("#HUD_pfd_attitude_ladder_4");
		if (typeof HUD_pfd_attitude_ladder_4 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees,radians)" */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Attitude indicator pitch degrees,degrees) " */
			var Minimum = -90.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 90.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * -2.77) + 'px) ';
		  }
		  if (transform != '')
		    HUD_pfd_attitude_ladder_4.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_ROLL_SCALE_5 */
		var HUD_pfd_attitude_roll_scale_5 = this.querySelector("#HUD_pfd_attitude_roll_scale_5");
		if (typeof HUD_pfd_attitude_roll_scale_5 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_attitude_roll_scale_5.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_BANK_POINTER_6 */
		var HUD_pfd_attitude_bank_pointer_6 = this.querySelector("#HUD_pfd_attitude_bank_pointer_6");
		if (typeof HUD_pfd_attitude_bank_pointer_6 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees:1, radians)" */
			var Minimum = -360.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    HUD_pfd_attitude_bank_pointer_6.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_FIXED_PLANE_7 */
		var HUD_pfd_attitude_fixed_plane_7 = this.querySelector("#HUD_pfd_attitude_fixed_plane_7");
		if (typeof HUD_pfd_attitude_fixed_plane_7 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_attitude_fixed_plane_7.style.transform = transform; 

		}

		/* HUD_SLIP_INDICATOR_8 */
		var HUD_Slip_Indicator_8 = this.querySelector("#HUD_Slip_Indicator_8");
		if (typeof HUD_Slip_Indicator_8 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians"); /* PARSED FROM "(A:Attitude indicator bank degrees:1, radians)" */
			var Minimum = -360.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 360.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  {
			var ExpressionResult = SimVar.GetSimVarValue("Turn coordinator ball", "position"); /* PARSED FROM "(A:Turn coordinator ball,position)" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 8) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    HUD_Slip_Indicator_8.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_SLIP_INDICATOR_9 */
		var HUD_pfd_attitude_slip_indicator_9 = this.querySelector("#HUD_pfd_attitude_slip_indicator_9");
		if (typeof HUD_pfd_attitude_slip_indicator_9 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_attitude_slip_indicator_9.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_SLIP_INDICATOR_WARNING_STATE_10 */
		var HUD_pfd_attitude_slip_indicator_warning_state_10 = this.querySelector("#HUD_pfd_attitude_slip_indicator_warning_state_10");
		if (typeof HUD_pfd_attitude_slip_indicator_warning_state_10 !== "undefined") {
		  var transform = '';

		  HUD_pfd_attitude_slip_indicator_warning_state_10.style.display = ( Math.abs(SimVar.GetSimVarValue("Turn coordinator ball", "position")) > 0.5 ) ? "block" : "none";

		  if (transform != '')
		    HUD_pfd_attitude_slip_indicator_warning_state_10.style.transform = transform; 

		}

		/* HUD_FD_11 */
		var HUD_FD_11 = this.querySelector("#HUD_FD_11");
		if (typeof HUD_FD_11 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_FD_11.style.transform = transform; 

		}

		/* HUD_FD_12 */
		var HUD_FD_12 = this.querySelector("#HUD_FD_12");
		if (typeof HUD_FD_12 !== "undefined") {
		  var transform = '';

			HUD_FD_12.innerHTML = "FD";

		  if (transform != '')
		    HUD_FD_12.style.transform = transform; 

		}

		/* HUD_FD_VERT_BAR_13 */
		var HUD_FD_Vert_Bar_13 = this.querySelector("#HUD_FD_Vert_Bar_13");
		if (typeof HUD_FD_Vert_Bar_13 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = (SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR BANK", "radians") - SimVar.GetSimVarValue("PLANE BANK DEGREES", "radians")) * (-1); /* PARSED FROM "(A:Autopilot flight director bank, radians) (A:Attitude indicator bank degrees:1, radians) - /-/" */
			var Minimum = -20.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 20.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 2.7) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    HUD_FD_Vert_Bar_13.style.transform = transform; 

		}

		/* HUD_FD_HORIZ_BAR_14 */
		var HUD_FD_Horiz_Bar_14 = this.querySelector("#HUD_FD_Horiz_Bar_14");
		if (typeof HUD_FD_Horiz_Bar_14 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("AUTOPILOT FLIGHT DIRECTOR BANK", "degree") - SimVar.GetSimVarValue("PLANE PITCH DEGREES", "degree"); /* PARSED FROM "(A:Autopilot flight director pitch, degrees) (A:Attitude indicator pitch degrees:1, degrees) -" */
			var Minimum = -15.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 15.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 2.5) + 'px) ';
		  }
		  if (transform != '')
		    HUD_FD_Horiz_Bar_14.style.transform = transform; 

		}

		/* HUD_GLIDESLOPE_15 */
		var HUD_Glideslope_15 = this.querySelector("#HUD_Glideslope_15");
		if (typeof HUD_Glideslope_15 !== "undefined") {
		  var transform = '';

		  HUD_Glideslope_15.style.display = SimVar.GetSimVarValue("HSI GSI needle valid", "boolean") ? "block" : "none";

		  if (transform != '')
		    HUD_Glideslope_15.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_LOCALIZER_GLIDESLOPE_SCALE_16 */
		var HUD_pfd_attitude_localizer_glideslope_scale_16 = this.querySelector("#HUD_pfd_attitude_localizer_glideslope_scale_16");
		if (typeof HUD_pfd_attitude_localizer_glideslope_scale_16 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_attitude_localizer_glideslope_scale_16.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_GLIDESLOPE_POINTER_17 */
		var HUD_pfd_attitude_glideslope_pointer_17 = this.querySelector("#HUD_pfd_attitude_glideslope_pointer_17");
		if (typeof HUD_pfd_attitude_glideslope_pointer_17 !== "undefined") {
		  var transform = '';

		  HUD_pfd_attitude_glideslope_pointer_17.style.display = 1 ? "block" : "none";

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI GSI needle", "number") / 120; /* PARSED FROM "(A:HSI GSI needle, number) 120 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 0) + 'px, ' + (ExpressionResult * 51) + 'px) ';
		  }
		  if (transform != '')
		    HUD_pfd_attitude_glideslope_pointer_17.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_LOCALIZER_POINTER_18 */
		var HUD_pfd_attitude_localizer_pointer_18 = this.querySelector("#HUD_pfd_attitude_localizer_pointer_18");
		if (typeof HUD_pfd_attitude_localizer_pointer_18 !== "undefined") {
		  var transform = '';

		  HUD_pfd_attitude_localizer_pointer_18.style.display = SimVar.GetSimVarValue("HSI has localizer", "boolean") ? "block" : "none";

		  {
			var ExpressionResult = SimVar.GetSimVarValue("HSI CDI needle", "number") / 127; /* PARSED FROM "(A:HSI CDI needle, number) 127 /" */
			var Minimum = -1.000;
			ExpressionResult = Math.max(ExpressionResult, Minimum);
			var Maximum = 1.000;
			ExpressionResult = Math.min(ExpressionResult, Maximum);
			transform += 'translate(' + (ExpressionResult * 54) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    HUD_pfd_attitude_localizer_pointer_18.style.transform = transform; 

		}

		/* HUD_PFD_ATTITUDE_FIXED_PLANE_CENTER_19 */
		var HUD_pfd_attitude_fixed_plane_center_19 = this.querySelector("#HUD_pfd_attitude_fixed_plane_center_19");
		if (typeof HUD_pfd_attitude_fixed_plane_center_19 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_attitude_fixed_plane_center_19.style.transform = transform; 

		}

		/* HUD_PFD_ASI_DETAIL_WINDOW_20 */
		var HUD_pfd_asi_detail_window_20 = this.querySelector("#HUD_pfd_asi_detail_window_20");
		if (typeof HUD_pfd_asi_detail_window_20 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_asi_detail_window_20.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_21 */
		var HUD_GaugeText_21 = this.querySelector("#HUD_GaugeText_21");
		if (typeof HUD_GaugeText_21 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_21.innerHTML = Math.round( SimVar.GetSimVarValue("AIRSPEED INDICATED", "knots") ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_21.style.transform = transform; 

		}

		/* HUD_ALTITUDE_22 */
		var HUD_Altitude_22 = this.querySelector("#HUD_Altitude_22");
		if (typeof HUD_Altitude_22 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_Altitude_22.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_23 */
		var HUD_GaugeText_23 = this.querySelector("#HUD_GaugeText_23");
		if (typeof HUD_GaugeText_23 !== "undefined") {
		  var transform = '';

		  HUD_GaugeText_23.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Indicated Altitude, feet) 5000 < " */ ? "block" : "none";

			HUD_GaugeText_23.innerHTML = "R";

		  if (transform != '')
		    HUD_GaugeText_23.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_24 */
		var HUD_GaugeText_24 = this.querySelector("#HUD_GaugeText_24");
		if (typeof HUD_GaugeText_24 !== "undefined") {
		  var transform = '';

		  HUD_GaugeText_24.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(A:Indicated Altitude, feet) 5000 < " */ ? "block" : "none";

			HUD_GaugeText_24.innerHTML = Math.round( SimVar.GetSimVarValue("RADIO HEIGHT", "feet") ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_24.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_25 */
		var HUD_GaugeText_25 = this.querySelector("#HUD_GaugeText_25");
		if (typeof HUD_GaugeText_25 !== "undefined") {
		  var transform = '';

		  HUD_GaugeText_25.style.display = ( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") > 5000 ) ? "block" : "none";

			HUD_GaugeText_25.innerHTML = Math.round( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_25.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_26 */
		var HUD_GaugeText_26 = this.querySelector("#HUD_GaugeText_26");
		if (typeof HUD_GaugeText_26 !== "undefined") {
		  var transform = '';

		  HUD_GaugeText_26.style.display = ( SimVar.GetSimVarValue("INDICATED ALTITUDE", "feet") > 5000 ) ? "block" : "none";

			HUD_GaugeText_26.innerHTML = "B";

		  if (transform != '')
		    HUD_GaugeText_26.style.transform = transform; 

		}

		/* HUD_PFD_ALTITUDE_DETAIL_WINDOW_27 */
		var HUD_pfd_altitude_detail_window_27 = this.querySelector("#HUD_pfd_altitude_detail_window_27");
		if (typeof HUD_pfd_altitude_detail_window_27 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_pfd_altitude_detail_window_27.style.transform = transform; 

		}

		/* HUD_COMPASS_STRIP_28 */
		var HUD_compass_strip_28 = this.querySelector("#HUD_compass_strip_28");
		if (typeof HUD_compass_strip_28 !== "undefined") {
		  var transform = '';

		  {
			var ExpressionResult = SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") * 2.46944 + 74; /* PARSED FROM "(A:Plane heading degrees gyro,degrees) 2.46944 * 74 + " */
			var Minimum = 0;
			var Maximum = 999999999;
			transform += 'translate(' + (ExpressionResult * -1) + 'px, ' + (ExpressionResult * 0) + 'px) ';
		  }
		  if (transform != '')
		    HUD_compass_strip_28.style.transform = transform; 

		}

		/* HUD_HEADING_POINTER_29 */
		var HUD_Heading_pointer_29 = this.querySelector("#HUD_Heading_pointer_29");
		if (typeof HUD_Heading_pointer_29 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_Heading_pointer_29.style.transform = transform; 

		}

		/* HUD_COMPASS_BOX_30 */
		var HUD_Compass_BOX_30 = this.querySelector("#HUD_Compass_BOX_30");
		if (typeof HUD_Compass_BOX_30 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_Compass_BOX_30.style.transform = transform; 

		}

		/* HUD_HDG_BOX_31 */
		var HUD_HDG_BOX_31 = this.querySelector("#HUD_HDG_BOX_31");
		if (typeof HUD_HDG_BOX_31 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    HUD_HDG_BOX_31.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_32 */
		var HUD_GaugeText_32 = this.querySelector("#HUD_GaugeText_32");
		if (typeof HUD_GaugeText_32 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_32.innerHTML = Math.round( ( ( Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) == 0 ) ? 360 : Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) ) ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_32.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_33 */
		var HUD_GaugeText_33 = this.querySelector("#HUD_GaugeText_33");
		if (typeof HUD_GaugeText_33 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_33.innerHTML = "AOA " + ( SimVar.GetSimVarValue("INCIDENCE ALPHA", "degrees") ).toFixed(1).toString() ;

		  if (transform != '')
		    HUD_GaugeText_33.style.transform = transform; 

		}

		/* HUD_TEXT_34 */
		var HUD_Text_34 = this.querySelector("#HUD_Text_34");
		if (typeof HUD_Text_34 !== "undefined") {
		  var transform = '';

		  HUD_Text_34.style.display = SimVar.GetSimVarValue("Autopilot master", "boolean") ? "block" : "none";

			HUD_Text_34.innerHTML = "AP";

		  if (transform != '')
		    HUD_Text_34.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_35 */
		var HUD_GaugeText_35 = this.querySelector("#HUD_GaugeText_35");
		if (typeof HUD_GaugeText_35 !== "undefined") {
		  var transform = '';

		  HUD_GaugeText_35.style.display = SimVar.GetSimVarValue("AUTOTHROTTLE ACTIVE", "boolean") ? "block" : "none";

			HUD_GaugeText_35.innerHTML = "SPD";

		  if (transform != '')
		    HUD_GaugeText_35.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_36 */
		var HUD_GaugeText_36 = this.querySelector("#HUD_GaugeText_36");
		if (typeof HUD_GaugeText_36 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_36.innerHTML = Math.round( (Math.floor(SimVar.GetGlobalVarValue("LOCAL TIME", "hours")) + 23) % 24 + 1 ).toString() + " : " + Math.round( Math.floor(SimVar.GetGlobalVarValue("LOCAL TIME", "minutes")) % 60 ).toString() + " : " + Math.round( Math.floor(SimVar.GetGlobalVarValue("LOCAL TIME", "seconds")) % 60 ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_36.style.transform = transform; 

		}

		/* HUD_WIND_DIRECTION_READOUT_37 */
		var HUD_Wind_Direction_Readout_37 = this.querySelector("#HUD_Wind_Direction_Readout_37");
		if (typeof HUD_Wind_Direction_Readout_37 !== "undefined") {
		  var transform = '';

			HUD_Wind_Direction_Readout_37.innerHTML = ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    HUD_Wind_Direction_Readout_37.style.transform = transform; 

		}

		/* HUD_WIND_SPEED_READOUT_38 */
		var HUD_Wind_Speed_Readout_38 = this.querySelector("#HUD_Wind_Speed_Readout_38");
		if (typeof HUD_Wind_Speed_Readout_38 !== "undefined") {
		  var transform = '';

			HUD_Wind_Speed_Readout_38.innerHTML = "*/" + ( ( SimVar.GetSimVarValue("AMBIENT WIND VELOCITY", "knots") > 0 ) ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}---%{end}" ;

		  if (transform != '')
		    HUD_Wind_Speed_Readout_38.style.transform = transform; 

		}

		/* HUD_MFD_ARROW_WIND_DIRECTION_39 */
		var HUD_mfd_arrow_wind_direction_39 = this.querySelector("#HUD_mfd_arrow_wind_direction_39");
		if (typeof HUD_mfd_arrow_wind_direction_39 !== "undefined") {
		  var transform = '';

		  {

			var ExpressionResult = (SimVar.GetSimVarValue("AMBIENT WIND DIRECTION", "degree") - SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees") - SimVar.GetSimVarValue("MAGVAR", "degree") - 180)* Math.PI/180; /* PARSED FROM " (A:Ambient Wind Direction,degrees) (A:Plane heading degrees gyro,degrees) - (A:MAGVAR, degrees) - 180 - dgrd " */
			var Minimum = 0;
			var Maximum = 999999999;
			var PointsTo = 0;
			transform += 'rotate(' + (ExpressionResult * 180 / Math.PI + PointsTo) + 'deg) ';
		  }
		  if (transform != '')
		    HUD_mfd_arrow_wind_direction_39.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_40 */
		var HUD_GaugeText_40 = this.querySelector("#HUD_GaugeText_40");
		if (typeof HUD_GaugeText_40 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_40.innerHTML = "VS" + Math.round( (SimVar.GetSimVarValue("VERTICAL SPEED", "feet per minute") % 10 - SimVar.GetSimVarValue("VERTICAL SPEED", "feet per minute")) * (-1) ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_40.style.transform = transform; 

		}

		/* HUD_GAUGETEXT_41 */
		var HUD_GaugeText_41 = this.querySelector("#HUD_GaugeText_41");
		if (typeof HUD_GaugeText_41 !== "undefined") {
		  var transform = '';

			HUD_GaugeText_41.innerHTML = "OAT" + Math.round( Math.min( SimVar.GetSimVarValue("AMBIENT TEMPERATURE", "celsius"), 99 ) ).toString() ;

		  if (transform != '')
		    HUD_GaugeText_41.style.transform = transform; 

		}

		/* HUD_VOR_1_INFORMATION_42 */
		var HUD_VOR_1_Information_42 = this.querySelector("#HUD_VOR_1_Information_42");
		if (typeof HUD_VOR_1_Information_42 !== "undefined") {
		  var transform = '';

		  HUD_VOR_1_Information_42.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF1,number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    HUD_VOR_1_Information_42.style.transform = transform; 

		}

		/* HUD_VOR_1_LEGEND_43 */
		var HUD_VOR_1_Legend_43 = this.querySelector("#HUD_VOR_1_Legend_43");
		if (typeof HUD_VOR_1_Legend_43 !== "undefined") {
		  var transform = '';

			HUD_VOR_1_Legend_43.innerHTML = "VOR 1";

		  if (transform != '')
		    HUD_VOR_1_Legend_43.style.transform = transform; 

		}

		/* HUD_NAV_1_IDENT_44 */
		var HUD_NAV_1_Ident_44 = this.querySelector("#HUD_NAV_1_Ident_44");
		if (typeof HUD_NAV_1_Ident_44 !== "undefined") {
		  var transform = '';

			HUD_NAV_1_Ident_44.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:1", "string") ).toString() ;

		  if (transform != '')
		    HUD_NAV_1_Ident_44.style.transform = transform; 

		}

		/* HUD_DME_45 */
		var HUD_DME_45 = this.querySelector("#HUD_DME_45");
		if (typeof HUD_DME_45 !== "undefined") {
		  var transform = '';

			HUD_DME_45.innerHTML = "DME " + ( ( Math.max( Math.min( SimVar.GetSimVarValue("NAV DME:1", "nautical mile"), 999 ), 0 ) >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    HUD_DME_45.style.transform = transform; 

		}

		/* HUD_VOR_2_INFORMATION_46 */
		var HUD_VOR_2_Information_46 = this.querySelector("#HUD_VOR_2_Information_46");
		if (typeof HUD_VOR_2_Information_46 !== "undefined") {
		  var transform = '';

		  HUD_VOR_2_Information_46.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:EFIS VORADF2,number) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    HUD_VOR_2_Information_46.style.transform = transform; 

		}

		/* HUD_VOR_2_LEGEND_47 */
		var HUD_VOR_2_Legend_47 = this.querySelector("#HUD_VOR_2_Legend_47");
		if (typeof HUD_VOR_2_Legend_47 !== "undefined") {
		  var transform = '';

			HUD_VOR_2_Legend_47.innerHTML = "VOR 2";

		  if (transform != '')
		    HUD_VOR_2_Legend_47.style.transform = transform; 

		}

		/* HUD_NAV_2_IDENT_48 */
		var HUD_NAV_2_Ident_48 = this.querySelector("#HUD_NAV_2_Ident_48");
		if (typeof HUD_NAV_2_Ident_48 !== "undefined") {
		  var transform = '';

			HUD_NAV_2_Ident_48.innerHTML = ( SimVar.GetSimVarValue("NAV IDENT:2", "string") ).toString() ;

		  if (transform != '')
		    HUD_NAV_2_Ident_48.style.transform = transform; 

		}

		/* HUD_DME_49 */
		var HUD_DME_49 = this.querySelector("#HUD_DME_49");
		if (typeof HUD_DME_49 !== "undefined") {
		  var transform = '';

			HUD_DME_49.innerHTML = "DME " + ( ( Math.max( Math.min( SimVar.GetSimVarValue("NAV DME:2", "nautical mile"), 999 ), 0 ) >= 0 ) ).toString() + "{if}" + ( 0 ).toString() + "{if}" + Math.round( 0 ).toString() + "{else}" + ( 0 ).toFixed(1).toString() + "{end}%{else}----%{end}" ;

		  if (transform != '')
		    HUD_DME_49.style.transform = transform; 

		}

    }
}
registerLivery("gauges_r_hud-element", gauges_r_hud);
